# Anleitung zum Messprogramm ESA22p #
*************************************

*(Energie-Scan-Messungen mit dem ESA22-Elektronen-Spektrometer für
PIPE)*

     12.Jun.2015 K. Huber, Strahlenzentrum Univ. Gießen
     Version 09.Aug.2017

1 Über diese Anleitung
**********************

Diese Anleitung zum ESA22p-Messprogramm steht in verschiedenen Formaten
zur Verfügung. Die entsprechenden Files finden Sie auf dem Servix unter
/usr/exp/ex_help oder auf Ihrem Experiment-Account unter
$HOME/ex_home/ex_help:

     esa22p .txt Text-Format, kann z.B. mit `a2ps' in handlichem Format
                 gedruckt werden. Es fehlen jedoch Bilder und Grafiken.
     esa22p.dvi  DVI-Format, kann z.B. mit `dvips' auf einem
                 Postscript-Drucker gedruckt werden oder mit `xdvi' auf
                 einem X-Windows Bildschirm dargestellt werden.
     esa22p.html HTML-Format, kann mit jedem HTML-Browser (z.B.
                 `netscape') gelesen werden.
     esa22p.info INFO-Format, kann mit dem `GNU-Info-Browser' (`info -f
                 esa22p.info') und `GNU-emacs' gelesen werden. Es fehlen
                 jedoch Bilder und Grafiken.  So wird der Info-Browser
                 bedient (Start mit Tastenfolge TAB, ENTER): info.
                 (Zurück mit L, L, ...).
     esa22p.pdf  PDF-Format, mit dem `Acrobat-Reader' zu lesen.

2 Funktion von ESA22p
*********************

2.1 Überblick
=============

Für das ESA22-Elektronen-Spektrometer existieren folgende
Datenerfassungs- und Auswerteprogramme:
     ESA22m    Messung einer Position-Computer-Matrix
     ESA22s    Messung von Energie-Scans mit Channelplate
     ESA22xs   Messung von Energie-Scans mit Channeltrons
     ESA22t    Messung eines Koinzidenz-Zeit-Spektrums
     ESA22c    Messung von Koinzidenz-List-Mode Daten
     ESA22f    Messung von Formfaktor-Spektren
     ESA22p    Messung von Energie-Scans am PIPE Experiment
     ESA22a    Auswertung von ESA22c List-Mode Daten

Das ESA22p Programm dient der Aufnahme von Energie-Scan-Spektren mit 24
Channeltron Detektoren des ESA22-Elektronenspektrometers für das
Hamburger PIPE-Experiment. Es ist ein Nachfolger des ESA22xs Programms,
mit wesentlichen Änderungen bei der Steuerung des Experimentes und der
Datenerfassung. Insbesondere wurde die Data- und
Control-Routing-Elektronik durch VME-Module ersetzt.

   Das ESA22p Programm führt wiederholend eine vorzugebende Anzahl von
äquidistanten Energieschritten durch.  Die Abfolge der Energieschritte
ist wahlweise steigend, fallend oder steigend und fallend. Diese Zyklen
werden solange wiederholt bis die Messung manuell gestoppt wird. Der
letzte Zyklus wird dabei noch zu Ende geführt.

   Die Channeltron-Ereignisse werden in einer Matrix von 24 Spektren
einer Länge gemäß der Anzahl der Energieschritte summiert. In einer
zweiten Matrix werden die Messzeit sowie drei weitere frei verfügbare
Ereignisse für jeden Energieschritt summiert.  Ferner werden zur Zeit
vier freie Kanäle dazu benutzt Störungen zu detektieren und solche
Ereignisse ebenfalls in Spektren aufgezeichnet.  In den folgenden acht
Spektren werden Wiederholungen gezählt für alle Intervalle, bei denen
die Spannungen des IsegHV nicht ausreichend stabil standen:
     1. Matrix: 24 Spektren der Detektorereignisse

     2. Matrix:
          1. Spektrum: summierte Messzeit pro Intervall [us]

          2. Spektrum: frei verfügbar

          3. Spektrum: frei verfügbar

          4. Spektrum: frei verfügbar

          5. Spektrum: nicht genutzt

          6. Spektrum: Störungsdetektor 1

          7. Spektrum: Störungsdetektor 2

          8. Spektrum: Störungsdetektor 3

          9. Spektrum: Störungsdetektor 4

          10. Spektrum: nicht genutzt

          11. Spektrum: IsegHV Status Kanal 1

          12. Spektrum: IsegHV Status Kanal 2

          13. Spektrum: IsegHV Status Kanal 3

          14. Spektrum: IsegHV Status Kanal 4

          15. Spektrum: IsegHV Status Kanal 5

          16. Spektrum: IsegHV Status Kanal 6

          17. Spektrum: IsegHV Status Kanal 7

          18. Spektrum: IsegHV Status Kanal 8

          19...24. nicht genutzt
Diese Anordnung der Daten ist fest vorgegeben und unabhängig von der
Belegung der SIS-Zähler. Die Zuordnung der 32 SIS-Zähler zu den
einzelnen Funktionen muss unter (see Use of SIS counters.)
definiert werden.

Die Hard- und Software Voraussetzungen sind:
   * VME Labor-Rechner-System

   * SIS3820 VME 32-fach Scaler/Timer

   * I4000 VME Modul mit vier SJA1000 CAN Controllern

   * IsegHV EHS-n8430F 3kV Netzgerät

   * VT240/330 Terminal oder PC mit TeraTerm

   * VxWorks Betriebssystem

   * Netzwerkanschluss zu einem Host-Rechner

2.2 Ablauf der Messung
======================

2.2.1 Kontrolle der Spektrometerspannungen
------------------------------------------

Die acht Spannungen des IsegHV EHS-n8430F werden über acht 20 Bit DACs
eingestellt und über acht 24 Bit ADCs kontrolliert.  Da nach
Herstellerangaben die ADCs deutlich präziser arbeiten als die DACs,
werden die ADCs zur Regelung der Spannungen verwendet.  Nach einer
Spannungsänderung benötigen die ADCs zunächst eine kurze Pause (see
CAN/IsegHV parameters.).  Anschließend werden
die ADCs periodisch ausgelesen und aus den Messwerten Mittelwert und
dessen Varianz gebildet.  Beide Werte ergänzen sich bei der Kontrolle
der Spannungen (see Anhang.):
   * Über den Mittelwert lassen sich Abweichungen vom Sollwert
     kontrollieren, er kann jedoch bei einer instabilen Spannung
     zufälligerweise innerhalb der Toleranz zum Sollwert liegen.

   * Die Varianz reagiert auf Rauschen, Schwingen usw. auch wenn diese
     keine Abweichung des Mittelwertes von Sollwert zur Folge haben.

   * Beide Werte sind jedoch kein Maß für die absolute Genauigkeit
     der eingestellten Spannung. Auskunft darüber gibt die Anleitung
     des IsegHV EHS-n8430F. Eine Nacheichung des Gerätes wird 	als
     Service von Iseg angeboten (Empfehlung: am Anfang nach 	1-2
     Jahren; ca. 80 Euro).
   Zur Kontrolle der Spannungen stehen wahlweise drei unterschiedliche
Verfahren zur Verfügung (see IsegHV-Parameter-File.; see Anhang.):
   * Absolute Angabe der Toleranzen in mV (empfohlenes Verfahren).

   * Relative Angabe der Toleranzen in Bezug zur statistischen
     Unsicherheit (Standardabweichung).

   * Angabe von Toleranzen für die Wiederholungswahrscheinlichkeit
     von Messintervallen.

   In der Startphase zu jedem neuen Durchlauf, in der die
Spannungssprünge recht groß sein können, wird in Abständen von einer
Sekunde überprüft ob die Spannungen innerhalb der vorgegebenen
Toleranzen liegen. Wenn dies dreimal hintereinander der Fall ist, so
werden die Spannungen als stabil angesehen.

   In der Messphase mit relativ kleinen Spannungssprüngen wird nach
jedem Messintervall geprüft ob die Spannungen innerhalb der Toleranzen
geblieben sind. Falls nicht wird das Messintervall verworfen und
wiederholt.

   Vor jedem neuen Messintervall wird aus dem vorhergehenden Sollwert
und Mittelwert ein Korrekturterm errechnet für das folgende
Spannungskommando an das IsegHV. Unter der Annahme, dass die ADC-Daten
korrekt sind (laut Iseg ist der ADC das präziseste Bauteil) werden
damit DAC-Fehler, Temperaturabhängigkeiten usw. ausgeregelt.

2.2.2 Störungsdetektor
----------------------

Da sich in der Vergangenheit gezeigt hat, dass gelegentlich
gleichzeitig auf mehreren Kanälen Störsignale auftreten, werden vier
der ungenutzten Kanäle (Vorverstärker, Constant-Fraction-Diskriminator,
Zähler) als Störungsdetektor verwendet. Wenn in einem dieser Kanäle ein
Ereignis registriert wird, so kann das zugehörige Messintervall
verworfen und wiederholt werden (Option im Startmenü). Die Anzahl der
registrierten Störungen wird immer in den vier zugehörigen Spektren
akkumuliert.  *Damit diese Störungsüberwachung zuverlässig funktioniert
müssen die beteiligten Vorverstärker und
Constant-Fraction-Diskriminatoren entsprechend eingestellt werden!*

2.2.3 Steuerung und Datenerfassung
----------------------------------

Die Ablaufsteuerung des Experimentes erfolgt über den Zähler 0 des
SIS3820 Moduls, der sich als Timer konfigurieren lässt, um den Betrieb
der restlichen 31 Zähler zu steuern. Als Zeitnormal steht auf dem
SIS3820-Board ein 50 MHz, 100 ppm Quarz zur Verfügung. Damit läuft der
32-Bit-Timer nach ca. 85.9 s über, was die maximale Einzelmesszeit pro
Intervall auf diesen Wert begrenzt. Im Spektrum 0 der Matrix 2 werden
die Messzeiten aller Durchläufe in Mikrosekunden-Einheiten akkumuliert,
was eine maximale Gesamtmesszeit pro Intervall von ca. 4294.9 s erlaubt.

   Zu Beginn der Messung erfolgt durch ESA22p eine Anfangsnormierung:
   * Konfigurieren des Zähler/Timer-Moduls

   * Konfigurieren des CAN-Bus-Controllers

   * Überprüfung der CAN-Bus-Verbindung zum IsegHV-Modul,
     Ermitteln der CAN-Bus-Frequenz

   * Überprüfung des Status des IsegHV-Moduls

   Der Ablauf des Experimentes besteht aus einer Serie von
Messintervallen, wobei für jedes Messintervall die Kanalnummer, die
Messzeit, die Spektrometerenergie usw. vorgegeben werden durch einen
(internen) Experiment-Steuer-File.

   Die Spektrometerenergie wird mit Hilfe eines Parameter-Files
(~/ex_home/ex_param/esa22.isg), der vom Anwender gepflegt wird, in
Spektrometerspannungen umgerechnet und diese über den CAN-Bus auf dem
Iseg-Hochspannungsmodul eingestellt.  Anschließend wird der Timer
geladen und gestartet.  Nach Ablauf der Messzeit (Interrupt) werden
folgende Aktionen durchgeführt:
     Die Spannungsüberwachung wird gestoppt.

     Es wird auf Störungen geprüft und gegebenenfalls das
     Messintervall verworfen (Option). Die Störungen werden in den
     zugeordneten Spektren summiert.

     Die Qualität der Spannungen wird geprüft und gegebenenfalls das
     Messintervall verworfen.

     Bei verwertbarer Messung werden folgende Zähler ausgelesen
     und zu den entsprechenden Kanäle der zugehörigen Spektren 	addiert:
     der Timer, 	die 24 Ereigniszähler, 	die 3 frei verfügbaren
     Zähler.

     Alle SIS3820 Zähler werde gelöscht

2.3 ESA22p Geräteeinstellungen
==============================

*Vorverstärker und Constant Fraction Discriminator*
Vom experimentellen Aufbau her sind 32 Kanäle für die Datenerfassung
vorhanden:
     zwei 16-fach Vorverstärker Mesytec MPR-16,

     zwei 16-fach Constant Fraction Discriminatoren Mesytec MSCF-16,

     und ein 32-fach Scaler/Timer SIS3820,
   die für unterschiedliche Aufgaben eingesetzt werden.  Da diese
Module durch Flachbandkabel miteinander verbunden sind, wäre ein
direkter Zugang zu dem Scaler nur über ein zusätzliches,
selbstgefertigtes Verteilermodul mit TTL-ECL-Wandlern möglich.  Darauf
wurde verzichtet in der Hoffnung, VV und CFD so konfigurieren zu
können, dass damit auch digitale Signale verarbeitet werden können.
     Der Kanal 0 ist fest vergeben für die Ablaufsteuerung und 	muss
     nicht konfiguriert werden.

     24 Kanäle sind für die Verarbeitung der Channeltron-Signale
     zu konfigurieren.

     Für 3 freie Zählerkanäle muss versucht werden, sie so
     einzustellen, dass sie digitale Signale sicher erkennen können.

     Die übrigen 4 Kanäle können als Störungsdetektoren
     verwendet werden. Da unbekannt ist wie und wo die Störungen
     eingestreut wurden, können im Bedarfsfall die Einstellungen
     nur experimentell ermittelt werden. Ein Startwert wäre eine
     Einstellung wie bei den Channeltron-Signalen. Bleibt die Frage
     ob offener oder abgeschlossener VV-Eingang oder eventuell 	sogar
     eine Antenne am Eingang.

   Die Zuordnung der Aufgaben zu den einzelnen Kanälen ist weitgehend
frei (see Use of SIS counters.).

   *Spannungsversorgung der Channeltrons*
Die Einstellung der Channeltron-Spannungen erfolgt separat mit Hilfe
des Programmes IsegHV.

2.4 Messdatenformat
===================

*Struktur der ESA22p-Daten-Files*
Die ESA22p-Messdaten-Files entsprechen dem Strahlenzentrumsstandard und
können deshalb mit einer Anzahl vorhandener Programme weiterverarbeitet
werden.  Sie beginnen mit einem Header von 512 Bytes Länge, der am
Anfang einen standardisierten Teil enthält und anschließend noch eine
Reihe weiterer Daten (z.B. Lifetime-, Realtime-Zähler usw.), zu denen
man über die Include-Files ~/ex_home/ex_src/.../esa22p.conf und
esa22p.h Zugang hat.

Anschließend folgen die 2 Matrizen mit dem Format 24 * Anz.
Scan-Schritte * 4 Bytes.  Die erste Matrix enthält die Ereignisse der
24 Channeltron-Detektoren, je ein Spektrum für jeden Detektor. Die
Spektren der zweiten Matrix enthalten die Messzeit, die freien Zähler,
die Störungszähler und die Zähler für die Wiederholungen von
Intervallen.  Die Kanäle der Spektren sind in der Reihenfolge der
Energieschritte, beginnend mit der Startenergie belegt.  Die Kanäle der
Matrizen sind als INTEGER*4 (BYTES = 4) deklariert, d.h. jeder Kanal
kann ca. 4*10^9 Ereignisse aufnehmen.

     ---
      |
      | Header, 512 Bytes
      |
     ---
      |
      | Matrix 1, (24 * Anz. Scan-Schritte * 4) Bytes, Channeltron-Ereignisse
      |
     ---
      | Matrix 2, (24 * Anz. Scan-Schritte * 4) Bytes
      |     Spektrum 0    : Messzeit
      |     Spektrum 1-3  : freie Verwendung
      |     Spektrum 4    : nicht benutzt
      |     Spektrum 5-8  : Störungsdetektoren
      |     Spektrum 9    : nicht benutzt
      |     Spektrum 10-17: Wiederholungen wegen IsegHV Kanal 0-7
      |     Spektrum 18-23: nicht benutzt
     ---

   *Struktur der Header Daten:*
     #define lIDHDR 8
     #define lHDLEN 1
     #define lEXPMNT 6
     #define lIDPRG 8
     #define lSTDAT 9
     #define lSTTIM 8
     #define lSPDAT 9
     #define lSPTIM 8
     #define lSPENAM 8
     #define lSPTYPE 4
     #define lPLANES 6
     #define lROWS 6
     #define lCOLS 6
     #define lBYTES 1
     #define lHDFREE 4
     #define lRESRV 32
     #define lLTXT 4
     #define lTEXT 80
     Plattformabhängige Definitionen:
     UINT1: 1 Byte  "unsigned int"
     UINT2: 2 Bytes "unsigned int"
     UINT4: 4 Bytes "unsigned int"
     REAL4: 4 Bytes "float"
     REAL8: 8 Bytes "float"

     typedef union {
         struct {
             struct {
                 char idhdr[lIDHDR];   /* Identification of header: "STRZ-VXW" */
                 char hdlen[lHDLEN];   /* Length of header: "1" */
                 char expmnt[lEXPMNT]; /* Experiment */
                 char idprg[lIDPRG];   /* ID of generating Program: "ESA22p  " */
                 char stdat[lSTDAT];   /* Date of start */
                 char sttim[lSTTIM];   /* Time of start */
                 char spdat[lSPDAT];   /* Date of stop */
                 char sptim[lSPTIM];   /* Time of stop */
                 char spenam[lSPENAM]; /* Name of spectrum */
                 char sptype[lSPTYPE]; /* Type of spectrum: "DIM3" */
                 char rows[lROWS];     /* Number of rows: "    24" */
                 char cols[lCOLS];     /* Channels/row: " <var>" */
                 char bytes[lBYTES];   /* Bytes/channel: "4" */
                 char hdfree[lHDFREE]; /* First free byte in header (0,...) */
                 char planes[lPLANES]; /* Number of planes: "     2" */
                 char resrv[lRESRV];   /* Reserved */
                 char ltxt[lLTXT];     /* Length of text: "80" */
                 char text[lTEXT];     /* Text */
             } stddat;   /* Standard data of header */
             struct {
                 UINT2 status;       /* Status of spectrum */
                 UINT2 xlen;         /* Length of X axis */
                 UINT2 ylen;         /* Length of Y axis */
                 UINT2 zlen;         /* Length of Z axis */
                 UINT4 rltcnt;       /* Realtime from CPU */
                 UINT4 lftcnt;       /* Lifetime */
                 UINT4 loopcnt;      /* Voltage loop counter */
                 UINT4 stpcnt;       /* Voltage step counter */
                 UINT4 repvcnt;      /* Step repeat counter voltage */
                 UINT4 repncnt;      /* Step repeat counter noise */
                 UINT4 errcnt;       /* Error counter */
                 UINT4 runtim;       /* Realtime to run experiment [s] */
                 UINT4 ielec;        /* Integrated current electr beam */
                 UINT4 steps;        /* Number of energy steps */
                 UINT1 stepmod;      /* Step mode (u/d/b) up/down/both */
                 REAL8 stpsiz;       /* Energy step size [eV] */
                 REAL8 mine;         /* Min. scan energy [eV] */
                 REAL8 maxe;         /* Max. scan energy [eV] */
                 REAL8 decelv;       /* Deceleration voltage [V] */
                 REAL8 ontime;       /* On time [s] */
                REAL4 expar[25];    /* Extended ESA22xs parameters */
             } spcdat_ESA22p;   /* Special data of ESA22p type header */
         } hdata;        /* Header data */
         struct {
             char h512[512];         /* Fill 512 bytes block */
         } htotal;        /* Total header */
     } HEADER;

   *Experiment-Parameter:*
     expar[ ] |  ESA22p-Programm
     ---------+--------------------------------------------
        0     | Electron/Photon energy [eV]
        1     | Target charge [q]
        2     | Target mass [amu]
        3     | Target energy [eV]
        4     |
        5     |
        6     | Electron current converter range
        7     | Electr. current conv. full scale freq. [Hz]
        8     |
        9     |
       10     | Entrance slit [mm]
       11     | Exit slit [mm]
       12     | SMA spectrometer constant
       13     | CMA spectrometer constant
       14     | Pass energy [eV]
       15     | Chamber pressure [mb]
       16     | Gas pressure [mb]

2.5 Experiment-Control-File
===========================

Für jede Messung wird intern ein Experiment-Control-File (ECF)
erstellt, der alle Daten zur Steuerung des Experimentablaufs enthält.
Zur Kontrolle kann der EC-File eingesehen werden.

   Die EC-File-Daten beginnen mit einem Startup-Block, in dem alle
Parameter auf ihren Anfangswert gesetzt werden.  Anschließend folgt
für jedes Messintervall ein Kommandoblock, der nur alle zu verändernden
Parameter enthalten braucht, jedoch mindestens einen.

   Ein solcher Kommandoblock beginnt mit der Anzahl der Kommandos (1
Byte), gefolgt vom ersten Kommando. Ein Kommando beginnt mit der
Kommandokennung (1 Byte) gefolgt von den Kommandodaten:
     0x00    Start ECF, Interrupt timeout (UINT4)
     0x01    Channel in spectrum, Energy step number (UINT2)
     0x10    Timer command, Time [100ns] (UINT4)
     0x20    Set voltage command, Iseg channel (UINT1), Voltage [V] (REAL4)
     0x21    Start voltages command, 0 data bytes
     0x22    Step voltages command, 0 data bytes

     UINT1: 1 Byte  "unsigned int"
     UINT2: 2 Bytes "unsigned int"
     UINT4: 4 Bytes "unsigned int"
     REAL4: 4 Bytes "float"
   Die Kommandodaten werden im Little Endian Format (niederwertigstes
Byte zuerst) abgelegt.

   Der Steuer-File wird abgeschlossen mit 0x00 oder 0xff. Bei 0x00
beginnt das Messprogramm wieder von vorne mit dem ersten Messintervall,
bzw. es beendet die Messung, falls in der Zwischenzeit ein 'STOP
MESSUNG' gegeben wurde. Bei der Wiederholung von vorne wird der
Startup-Block übersprungen.  Bei 0xff endet die Messung nach dem ersten
Durchlauf.

   Ein EC-File enthält mindestens eine Anfangsnormierung und ein
Messintervall.

   Beispiel für einen EC-File:

     6                    6 commands
     00  78000000      Start ECF, Set IT timeout: 0.012 ms
     20  00  00009c42  Set voltage chan 0: 78.000 V
     20  01  9a998942  Set voltage chan 1: 68.800 V
     01  ffff          Step No: don't use
     10  10270000      Timer: 0.001 s
     21                Start long voltage step

     5                    5 commands
     20  00  00009c42  Set voltage chan 0: 78.000 V
     20  01  9a998942  Set voltage chan 1: 68.800 V
     01  0000          Step No: 0
     10  80841e00      Timer: 0.200 s
     22                Start short voltage step

     5                    5 commands
     20  00  5c8f9d42  Set voltage chan 0: 78.780 V
     20  01  dbf98a42  Set voltage chan 1: 69.488 V
     01  0100          Step No: 1
     10  80841e00      Timer: 0.200 s
     22                Start short voltage step

     5                    5 commands
     20  00  b81e9f42  Set voltage chan 0: 79.560 V
     20  01  1d5a8c42  Set voltage chan 1: 70.176 V
     01  0200          Step No: 2
     10  80841e00      Timer: 0.200 s
     22                Start short voltage step

     5                    5 commands
     20  00  00009c42  Set voltage chan 0: 78.000 V
     20  01  9a998942  Set voltage chan 1: 68.800 V
     01  ffff          Step No: don't use
     10  10270000      Timer: 0.001 s
     21                Start long voltage step

     0                    Repeat from 2nd command block

2.6 IsegHV-Parameter-File
=========================

Der IsegHV-Parameter-File (~/ex_home/ex_param/esa22.isg) enthält ein
oder mehrere Parametersätze, die für den Ablauf einer Messung zur
Verfügung stehen. Die Parametersätze unterliegen teilweise festen
Formatvorgaben.

   Zuerst werden in einem Parameterblock für die acht Kanäle des IsegHV
angegeben welche Kanäle benutzt werden und die Toleranzen für die
Spannungen und Ströme.

   Passende Toleranzen für die Spannungskontrolle kann man durch
Probieren ermitteln, folgende Betrachtungen können dabei aber hilfreich
sein (mehr Anhang.):
   * Die Standardabweichungen Sm der Spannungsmittelwerte der einzelnen
     Messintervalle sind abhängig von der Anzahl n der Messwerte xi und
     deren Standardabweichung Sx. Durch die Spannungsregelung werden
     sie allerdings noch um sqrt(2) vergrößert:
          Sm = Sx / sqrt(n)             ungeregelt
          Sm = Sx / sqrt(n) * sqrt(2)   geregelt
     Die Anzahl n ist gegeben durch die Messzeit pro Intervall und die
     Abtastrate der ADCs (EHS-8230n-F bei Sample-Rate 50: 16/s).  Das
     ESA22p-Messprogramm ermittelt während einer Messung fortlaufend,
     mit kleiner werdendem Fehler die Standardabweichung der xi
     (VsigmaT0). Mit dem Programm IsegHV können Sx und Abtastrate
     ebenfalls bestimmt werden.

   * Während die Standardabweichung Sx ein fester Wert ist, sind die sx
     der einzelnen Messintervalle einer statistische Unsicherheit
     unterworfen mit einer Chi-Quadratverteilung.  In der angewandten
     Form hat diese Verteilung ihren Mittelwert bei Sx und eine von Sx
     und n abhängige Standardabweichung Ss.  Da während eines
     Messintervalles keine Regelschritte erfolgen hat die Regelung
     keine Verbreiterung zur Folge:
          Ss = Sx / sqrt(2(n-1))   geregelt und ungeregelt

   * Die Toleranzen Tm und Tb für t-fache Standardabweichungen
     errechnen sich damit auf folgende Weise:
          Tm = t*Sx / sqrt(n) * sqrt(2)  Mittelwertkontrolle
          Tb = Sx + t*Sx / sqrt(2(n-1))  Breitenkontrolle
     Bei der Wahl von t kann man sich gut an den Werten für die
     Normalverteilung orientieren, p für die Mittelwertkontrolle und
     p/2 für die Breitenkontrolle:
          p: Wahrscheinlichkeit für ein Ereigniss außerhalb t Standardabweichungen
           t      p         p/2
          0.0   1.0000    0.5000
          1.0   0.3173    0.1587
          2.0   0.0455    0.0228
          3.0   0.00270   0.00135
          4.0   0.000063  0.000032
           t    p = exp(-0.02831 -0.67426t -0.43008t^2)   Näherungsformel

   * Allerdings geht noch die Anzahl m der überwachten Spannungen in
     die Rechnung für die durch die Statistik ausgelösten Wiederholungen
     Wm ein:
          Wm = 1 - (1 - p)^m
          Wm ~ mp für mp << 1

*Parameterblock:*
   * Spalte 1: Betriebsmodus des Kanals
     Hier wird festgelegt in welcher Weise die Spannungen überwacht
     werden um bei Unregelmäßigkeiten Messintervalle zu wiederholen
     aber zu häufige Wiederholungen durch die Statistik zu vermeiden.
        * Mode = 0: Spannung abgeschaltet

        * Mode = 1: Mittelwert und Breite der Spannung werden durch die
          Angaben in den Spalten 4 und 5 kontrolliert (Toleranzen in
          [mV]-Einheiten).  Hierzu müssen passende Werte gefunden
          werden, die von der Messzeit, der ADC-Abtastrate und der
          Streuung der Messwerte abhängen.

        * Mode = 2: Mittelwert und Breite der Spannung werden gemeinsam
          durch die Angabe in Spalte 6 kontrolliert (Toleranzen in
          [Standardabweichungs]-Einheiten).  Messzeit, ADC-Abtastrate
          und Streuung der Messwerte werden näherungsweise
          berücksichtigt jedoch nicht die Anzahl der überwachten
          Spannungen.  In Tests hat sich gezeigt, dass die
          systematischen Störungen die Wiederholungsrate dominieren.
          Dies hat zur Folge, dass die Werte für die Toleranzen so hoch
          gesetzt werden müssen um die Wiederholungen in Grenzen zu
          halten, dass die Statistik völlig vernachlässigbar wird.

        * Mode = 3: Die Spannung wird durch die Angabe in Spalte 7
          kontrolliert (Wiederholungsrate in [%]). In diesem Modus wird
          näherungsweise die durch die Statistik bedingte
          Wiederholungsrate der Messintervalle vorgegeben. Hierbei wird
          ebenfalls in der Realität die Statistik von den
          systematischen Störungen dominiert. Zu beachten ist, der
          [%]-Wert kleiner gewählt werden muss um die Wiederholungen zu
          reduzieren!

   * Spalte 2: untere Grenze für die Spannung [V].

   * Spalte 3: obere Grenze für die Spannung [V].

   * Spalte 4: obere Grenze für die Abweichung des Mittelwertes vom
     Sollwert ab der ein Messintervall wiederholt wird (Toleranzen in
     [mV]-Einheiten).  Ein brauchbarer Wert für das EHS-82x0n-F ist 10
     mV bei Intervallzeiten von 1 s.

   * Spalte 5: obere Grenze für die Breite der Verteilung (Wurzel aus
     der Varianz) der gemessenen Spannungswerte ab der ein
     Messintervall wiederholt wird.  Ein brauchbarer Wert für das
     EHS-82x0n-F ist 10 mV bei Intervallzeiten von 1 s.

   * Spalte 6: Angabe der Toleranz in Einheiten der Standardabweichung
     der Spannungsmesswerte. Vier Standardabweichung sind i.a. ein guter
     Wert für eine geringe Anzahl von Wiederholungen.

   * Spalte 7: Vorgabe für die durch die Statistik ausgelösten
     Wiederholungen in [%].

   * Spalte 8: obere Grenze für den Strom [mA].

*Empfehlungen:*
   * EHS-8230n-F
     Tests haben gezeigt, dass die Kanäle 1, 3 und 4 des 3kV-Gerätes
     bei 92V, 110V bzw. 94V starke Instabilitäten haben (see Anhang.),
     so dass diese Bereiche für eine Messung unbrauchbar
     sind. Ferner sind beim Kanal 7 zwischen 1kV und 2kV auffällig
     viele Wiederholungen von Messintervallen aufgetreten. Die Kanäle
     0, 2, 5 und 6 sollten 30V - 3kV brauchbar sein, wobei der Kanal 0
     etwa ein 1.5-faches Rauschen zeigt.
     ??? Zwischen 2kV und 3kV sind alle Kanäle des EHS-8230n-F gut
     brauchbar.

   * EHS-8220n-F
     Bei dem 2kV-Gerät konnten keine "Stolperstellen" zwischen 30V und
     2kV beobachtet werden. Kanal 1 zeigt eine auffällig hohe
     Wiederholungsrate und Kanal 0 ein etwa ein 1.5-faches Rauschen.
     Für alle Kanäle ist das Rauschen ca. nur 2/3 so groß wie bei dem
     EHS-8230n-F.
     Für Spannungen unterhalb 2kV sollte das EHS-8220n-F die erste Wahl
     sein!

   * Mode = 1 Für Intervallzeiten größer 0.2s sind 10mV Toleranzen für
     die Kontrolle von Mittelwert und Breite ein brauchbarer Wert:
          EHS-8220n-F, Wiederholungen bei 10mV/10mV, 30V-1929V, 21.03.17
          Kanal     0.2s     1.0s
            0      0.71%    0.00%
            1      0.19%    0.10%
           2-7     0.00%    0.00%

          EHS-8230n-F, Wiederholungen bei 10mV/10mV, 1900V-2999V, 21.03.17
          Kanal     0.2s     1.0s
            0      0.??%    0.??%
            1      0.??%    0.??%
           2-7     0.??%    0.??%

   * Mode = 2 Bei Angabe der Toleranzen in Standardabweichungen sollte
     die statistische Wiederholungsrate unabhängig von der Messzeit
     sein. Für die größere Messzeit (1s) sind die statistischen
     Schwankungen deutlich kleiner und die systematischen Störungen
     treten in den Vordergrund und führen zu häufigeren Wiederholungen.
          EHS-8220n-F, Wiederholungen bei 4 StdAbw, 30V-1929V, 21.03.17
          Kanal     0.2s     1.0s
            0      0.12%    1.53%
            1      1.36%    4.69%
            2      0.09%    0.97%
            3      0.21%    2.18%
            4      0.26%    1.04%
            5      0.08%    1.49%
            6      0.28%    1.74%
            7      0.12%    1.21%

*Formelblock:*
Der anschließende Formelblock enthält alle notwendigen Angaben zur
Umrechnung der Spektrometerenergie in die vom Spektrometer benötigten
Spannungen. Die Anwendungweise kann dem folgenden Beispiel entnommen
werden:

     # Der Formel-Interpreter kennt folgende Variablen
     # (Gross-/Kleinschreibung beachten!):
     # E             Elektronen-Energie (Input)
     # D             Deceleration Voltage / Pass Energy (Input)
     # SMA           SMA spectrometer constant
     # CMA           CMA spectrometer constant
     # P0 - P9       zur freien Verfuegung
     # U0 - U7       Iseg HV Modul Ausgangsspannungen (Outputs)
     #
     # und folgende Operatoren (Gross-/Kleinschreibung beachten!):
     # =     Wertzuweisung
     # ([{)]}    Klammern
     # ,     Trennung von Operanden, z.B. pow(a,b)
     # ;     Abschluss einer Formel, falls Kommentar folgt
     # exp(a)    e hoch a
     # pow(a,b)  a hoch b
     # a^b       a hoch b
     # a**b      a hoch b
     # +a
     # a + b
     # -a
     # a - b
     # a * b
     # a / b
     # die natuerlichen Prioritaeten der Arithmetik-Operatoren werden beachtet.
     #
     # Beispiel:
     #   P0 = 21.3107
     #   P1 = 3.72405
     #   P2 = 0.117333
     #   U0 = 1. / [1. -P0 * exp(-P1 *{E **P2})]; Ausgangspannung 0
     #   U1 = 50.;   Ausgangspannung 1

     #**********************************************************************
     #**********************************************************************

     #
     # Test-Parameterset test
     # 15.01.2015 K. Huber
     $$$$esa22   #Start of data
     test        #Test parameter set; kHu. 15jan15
     #
     # ESA22 voltage control parameters
     # Mode: channel control
     #	0: channel off
     #	1: channel controlled by MEANmax and DISTmax
     #	2: channel controlled by CMBImax
     #	3: channel controlled by REPSmax
     # Vmin: lower voltage limit, [V] units
     # Vmax: upper voltage limit, [V] units
     # MEANmax: max differenz of mean voltage from set value, [mV] units
     # DISTmax: max width of voltage distribution (SIGMA), [mV] units
     # CMBImax: control of mean and distribution combined, [standard dev.] units
     # REPSmax: max repeats forced by statistic, [%] units
     # Imax:	current limits, [mA] units
     #Mode   Vmin    Vmax    MEANmax  DISTmax  CMBImax  REPSmax  Imax
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 0
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 1
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 2
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 3
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 4
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 5
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 6
     1       1.      1010.   10.0     10.0     4.0      1.0      3.0     #channel 7
     #
     # ESA22 voltage calculation formulas
     SMA = 100.;     #spectrometer constant of the sperical deflector
     CMA = 200.;     #spectrometer constant of the cylindrical deflector
     U0 = E;         #Iseg HV Voltage channel 0
     U1 = E;         #Iseg HV Voltage channel 1
     U2 = E;         #Iseg HV Voltage channel 2
     U3 = E;         #Iseg HV Voltage channel 3
     U4 = E;         #Iseg HV Voltage channel 4
     U5 = E;         #Iseg HV Voltage channel 5
     U6 = E + SMA;   #Iseg HV Voltage channel 6
     U7 = E + CMA;   #Iseg HV Voltage channel 7
     ;       End of data

     #**********************************************************************
     #**********************************************************************
     $$$$end     End of data

3 Bedienung von ESA22p
**********************

Das Programm ist weitgehend selbsterklärend. Die notwendigen Eingaben
werden in Dialogform angefordert. Der Dialog ist in einer
Hierarchiestruktur aufgebaut, wobei mittels Menülisten von einer
Dialogebene in die andere gewechselt werden kann. Für Parametereingaben
existieren im Allgemeinen Vorbelegungswerte, die editiert werden können.

3.1 ESA22p Top-Menü
===================

3.1.1 Exit ESA22p
-----------------

Verlassen des Programmes.

3.1.2 Start experiment
----------------------

Führt zum ESA22p Start-Menü.  (see ESA22p Start-Menü.)

3.1.3 Show header
-----------------

Zeigt die wichtigsten Daten des Headers, der jedem Spektrum beigefügt
ist:

   * *Experiment; Program; Spectrum*
     Name des Experimentes; Name des Programmes; Name des Spektrums.

   * *Title*
     Titelzeile zur Beschreibung des Experimentes.

   * *Start; Stop*
     Startzeit und -datum; Stopzeit und -datum.

   * *Length*
     2 Matrizen * 24 Zeilen * Anzahl Kanäle.

   * *Active step*
     Der gerade aktuelle Kanal im Scan-Durchlauf. 65535 bedeutet: Daten
     verwerfen.

   * *Active energy*
     Die Energie des aktuellen Scan-Intervalls.

   * *Realtime*
     Die Zeit in Sekunden, während der das Experiment gestartet war,
     auf volle 0.1 Sekunden abgerundet.

   * *Lifetime*
     Die um die Totzeit korrigierte Zeit (Realtime - Deadtime), die zur
     Datenaufnahme zur Verfügung stand.

   * *Duty cycle*
     Anzeige des gemessenen Messzeit-/Gesamtzeit-Verhältnisses.

   * *Total steps*
     Gesamtzahl der abgeschlossenen Messintervalle.

   * *Step repeats caused by HV*
     Anzahl der Wiederholungen von Messintervallen durch die
     Spannungsüberwachung.

   * *Step repeats caused by noise*
     Anzahl der Wiederholungen von Messintervallen durch die
     Störungsdetektoren.

Auf weiteren Seiten folgt die Ausgabe der Experiment beschreibenden
Parameter und der Experiment-Steuer-Parameter.
   * *Experiment parameters*
     Ausgabe der Experiment beschreibenden Parameter.
     (see Experiment Parameters.)

   * *Experiment Control File data*
     (see Experiment-Control-File.)

   Die Darstellung des Headers kann mit der Leertaste wiederholt und
mit der Return-Taste beendet werden.  Für ein nicht existierendes
Spektrum (Status new) erfolgt eine gekürzte Ausgabe.

3.1.4 Analyse spectrum
----------------------

Startet als Subtask ein Auswerteprogramm zur graphischen Darstellung und
Auswertung des aktuellen Spektrums. Eine gestartete Messung läuft
während der Auswertung weiter. Nach Verlassen des Auswerteprogramms
wird in das Messprogramm zurückgekehrt. Üblicherweise kann das
Startup-Verhalten der Auswerteprogramme konfiguriert werden (<Ctrl Z>
-> Set configuration -> Startup mode).

   ESA22p verwendet standardmäßig das Programm PEAK3 als
Auswerteprogramm.  Unter "Set Configuration" kann ein anderes
Auswerteprogramm konfiguriert werden.

   Wenn PEAK3 als Auswerteprogramm statt Grafik nur unverständlichen
Text auf den Bildschirm bringt, dann muss das richtige Grafikprotokoll
konfiguriert werden (<Ctrl Z> -> Set configuration -> Terminals and
printers -> Select terminal).

3.1.5 Delete spectrum
---------------------

Ein existierendes Spektrum wird gelöscht (im Arbeitsspeicher und auf dem
Host-Rechner), die Daten sind verloren.

3.1.6 Convert spectrum to ASCII
-------------------------------

Das Spektrum wird mit oder ohne Header und mit oder ohne Kanalnummern in
ASCII Form auf einen File geschrieben.

3.1.7 Edit header of spectrum
-----------------------------

Falls die Eingabe der Header-Daten fehlerhaft war, besteht hier die
Möglichkeit zur Korrektur. Jedoch nur für die experimentbeschreibenden
und nicht für die messungsrelevanten (z.B. Spektrumslänge) Header-Daten.

3.1.8 Execute shell command
---------------------------

Einige der VxWorks-Shell-Kommandos (cd, ls, pwd, whoami) können
ausgeführt werden.

3.1.9 Set configuration
-----------------------

Führt zum ESA22p Konfigurations-Menü.  (see ESA22p Konfigurations-Menü.)

3.1.10 Help
-----------

Bringt diese Anleitung über das menüorientierte GNU-INFO-Programm auf
den Bildschirm.  INFO läuft dabei auf einem Server (z.Z. Servix).

3.2 ESA22p Start-Menü
=====================

3.2.1 Return
------------

Rückkehr zum Top-Menü.

3.2.2 Create new spectrum
-------------------------

Start der Messung, falls noch kein Spektrum des angegebenen Namens
existiert (Status new). Das Spektrum wird auf der Platte des
Host-Rechners angelegt, ist zunächst jedoch noch leer. Für ein bereits
existierendes Spektrum erfolgt eine Fehlermeldung (Status old).

   Für den Start einer Messung müssen die zugehörigen Parameter
eingegeben werden.
(see Experiment-Parameter-Eingabe.)

3.2.3 Continue old spectrum
---------------------------

Start der Messung, falls sie mit einem bereits existierenden Spektrum
(Status old) fortgesetzt werden soll. Das Spektrum wird vom Host-Rechner
geladen, falls es noch nicht da ist. Für ein noch nicht existierendes
Spektrum erfolgt eine Fehlermeldung (Status new).

   Für den Restart der Messung kann nur ein Teil der zugehörigen
Parameter geändert werden.
(see Experiment-Parameter-Eingabe.)

3.2.4 Test run
--------------

Start der Messung, falls noch kein Spektrum des angegebenen Namens
existiert (Status new), ohne jedoch auf dem Host-Rechner einen File
anzulegen. Beim Stop der Messung wird angefragt, ob die Messdaten noch
gerettet werden sollen.  Auch während der Messung können die Daten mit
'Save spectrum' zum Host-Rechner gerettet werden.

   Die Messdaten können während des TEST RUNs im Speicher (nicht auf der
Platte) gelöscht werden mittels einer Funktion im Display-Programm
(see Analyse spectrum.).

   Für den Start der Messung müssen die zugehörigen Parameter eingegeben
werden.
(see Experiment-Parameter-Eingabe.)

3.3 Experiment-Parameter-Eingabe
================================

Für den Start einer Messung müssen die zugehörigen Parameter eingegeben
werden. Einige der Parameterangaben sind notwendig für die Durchführung
der Messung, andere haben nur beschreibende Funktion. Für den Restart
der Messung kann nur ein Teil der zugehörigen Parameter geändert werden.

3.3.1 Select parameter set
--------------------------

Auswahl eines Parameter-Sets zur Berechnung der Spektrometerspannungen.
Die verschiedenen Algorithmen zum Umrechnen der Durchlassenergie in die
benötigten Spektrometerspannungen sind in Parameter-Sets in dem File
`$HOME/ex_home/ex_param/esa22.par' festgehalten.  Die existierenden
Parameter-Sets werden aufgelistet.

3.3.2 Make Experiment Control File
----------------------------------

Parametereingabe für den Experimentsteuer-File.
   - *Number of steps*
     Anzahl der Scan-Schritte / Kanäle pro Spektrum.

   - *Step mode*
     Vier Modes stehen zur Zeit zur Verfügung:
          u: ausgehend von der Startenergie schrittweise aufwärts

          d: ausgehend von der Startenergie schrittweise abwärts

          b: ausgehend von der Startenergie schrittweise aufwärts und
          abwärts

          t: Test-Mode zur Untersuchung des Einschwingverhaltens des
          Iseg-HV Netzgerätes (Kanal 7). Dabei werden ausgehend von der
          Startenergie Spannungssprünge von 2^n V (n=0,..) und zurück
          durchgeführt.  Die Messung der Spannung erfolgt über den
          internen ADC des Iseg-HV-Moduls, der etwa alle Sekunde ein
          Ergebnis liefert. Da der ADC asynchron zu den
          Spannungssprüngen arbeitet, kann man sich bei einer
          ausreichenden Anzahl Wiederholungen der Sprünge eine gute
          Übersicht über das Einschwingverhalten und die
          Reproduzierbarkeit verschaffen. Die Dauer der Beobachtungszeit
          nach einem Sprung wird durch 'Gate time' vorgegeben.  Das
          Ergebnis wird in dem File `$HOME/ex_home/ex_data/esa22.ttt'
          gespeichert.

   - *Min scan energy*
     Startenergie für den Scan in [eV]-Einheiten.

   - *Step size*
     Schrittweite für den Scan in [eV]-Einheiten.

   - *Dec. volt./Pass energ.*
     Je nach Parameter-Set zur Berechnung der Spektrometerspannungen
     wird hier die Spektrometer-Bremsspannung [V] für die Elektronen
     oder deren Durchgangsenergie [eV] angegeben.

   - *Step time*
     Messzeit für einen Scan-Schritt.

   - *Noise reject on*
     (see Stoerungsdetektor.)

Nachfolgend wird ein Überblick über die ECFile Daten und die daraus
errechneten Min-/Max-Spannungen gegeben, sowie optional (Leertaste) der
ECFile selber ausgegeben (see Experiment-Control-File.).

3.3.3 Experiment Parameters
---------------------------

Dieser Parameterblock hat keinen Einfluss auf die Datenerfassung, er
dient lediglich der Dokumentation.
   - *Electron/Photon energy [eV]*
     Energie der Elektronen bzw. Photonen.

   - *Target charge [q]*
     Ladung der Ionen.

   - *Target mass [amu]*
     Masse der Ionen.

   - *Target energy [eV]*
     Energie der Ionen.

   - *Entrance slit [mm]*
     Maß des Eintrittsschlitzes.

   - *SMA spectrometer constant*
     Spektrometerkonstante des sphärischen Deflektors.  (nur Ausgabe,
     see IsegHV-Parameter-File.)

   - *CMA spectrometer constant*
     Spektrometerkonstante des zylindrischen Deflektors.  (nur Ausgabe,
     see IsegHV-Parameter-File.)

   - *Dec. volt. [V]/Pass energy [eV]*
     (nur Ausgabe, see Experiment-Control-File.)

   - *Chamber pressure [mb]*
     ???.

   - *Gas pressure [mb]*
     ???.

3.3.4 Check Converter Settings
------------------------------

Die Messbereiche der Strom-Frequenz-Konverter (zur Zeit noch nicht
vorhanden) werden manuell eingestellt. Beim Start der Messung werden
die Einstellungen ausgelesen und zur Kontrolle auf dem Bildschirm
ausgegeben.
   - *Continue*
     Einstellungen sind OK, weiter.

   - *Update parameters*
     Geänderte Einstellungen erneut auslesen.

3.4 Funktionen bei laufendem Experiment
=======================================

3.4.1 Stop experiment
---------------------

Nach dem Stop-Kommando wird der aktuelle Scan-Durchlauf noch zu Ende
geführt wenn er nicht durch die Tastenkombination <Ctrl B> vorzeitig
mit Datenverlust beendet wird. Danach wird die Messung gestoppt und die
Daten werden zum Host-Rechner übertragen. Im Modus "Test Run" wird
allerdings zuerst abgefragt, ob die Daten gerettet werden sollen,
Default ist "no".

   Treten bei der Datenübertragung Probleme auf, so erfolgt eine
Fehlermeldung.  Die Daten bleiben erhalten und der Stop kann wiederholt
werden.

3.4.2 Save spectrum
-------------------

Es existieren mehrere Möglichkeiten um während einer laufenden Messung
das Spektrum zum Host-Rechner zu retten:
*Number of backups*
Es wird höchstens die angegebene Anzahl Backups durchgeführt.

   *Time between backups [min]*
Zeitlicher Abstand zwischen den Backups in Minuten und Zeit bis zum
ersten Backup. Im Falle einer Scan-Messung wird nach Ablauf dieser Zeit
ggf. noch auf das Ende eines Scan-Durchlaufs gewartet.

   *Save to master(0)/new(1) file*
Das Backup kann sowohl auf den normalen Daten-File (Master) erfolgen,
der dann jeweils überschrieben wird, oder es wird jedes Mal ein neuer
File angelegt, dessen Name Datum und Uhrzeit enthält.

   *Stop data while saving(0/1)* bei Messungen von Spektren
Wenn die Messung während des Backups weiterläuft könnte das ein
'schiefes' Spektrum zur Folge haben falls die Zeit für die
Datenübertragung nicht deutlich kürzer ist als die Messzeit.
   *Save at end of scan(0/1)* bei Scan-Messungen
Ein Backup mitten in einem Scan-Durchlauf hat eine Stufe in den
Messdaten zur Folge.

3.4.3 Show header
-----------------

Zeigt die wichtigsten Daten des Headers, der jedem Spektrum beigefügt
ist:

   * *Experiment; Program; Spectrum*
     Name des Experimentes; Name des Programmes; Name des Spektrums.

   * *Title*
     Titelzeile zur Beschreibung des Experimentes.

   * *Start; Stop*
     Startzeit und -datum; Stopzeit und -datum.

   * *Length*
     2 Matrizen * 24 Zeilen * Anzahl Kanäle.

   * *Active step*
     Der gerade aktuelle Kanal im Scan-Durchlauf. 65535 bedeutet: Daten
     verwerfen.

   * *Active energy*
     Die Energie des aktuellen Scan-Intervalls.

   * *Realtime*
     Die Zeit in Sekunden, während der das Experiment gestartet war,
     auf volle 0.1 Sekunden abgerundet.

   * *Lifetime*
     Die um die Totzeit korrigierte Zeit (Realtime - Deadtime), die zur
     Datenaufnahme zur Verfügung stand.

   * *Duty cycle*
     Anzeige des gemessenen Messzeit-/Gesamtzeit-Verhältnisses.

   * *Total steps*
     Gesamtzahl der abgeschlossenen Messintervalle.

   * *Step repeats caused by HV*
     Anzahl der Wiederholungen von Messintervallen durch die
     Spannungsüberwachung.

   * *Step repeats caused by noise*
     Anzahl der Wiederholungen von Messintervallen durch die
     Störungsdetektoren.

Auf weiteren Seiten folgt die Ausgabe der Experiment beschreibenden
Parameter und der Experiment-Steuer-Parameter.
   * *Experiment parameters*
     Ausgabe der Experiment beschreibenden Parameter.
     (see Experiment Parameters.)

   * *Experiment Control File data*
     (see Experiment-Control-File.)

3.4.4 Analyse spectrum
----------------------

Startet als Subtask ein Auswerteprogramm zur graphischen Darstellung und
Auswertung des aktuellen Spektrums. Eine gestartete Messung läuft
während der Auswertung weiter. Nach Verlassen des Auswerteprogramms
wird in das Messprogramm zurückgekehrt. Üblicherweise kann das
Startup-Verhalten der Auswerteprogramme konfiguriert werden (<Ctrl Z>
-> Set configuration -> Startup mode).

   ESA22p verwendet standardmäßig das Programm PEAK3 als
Auswerteprogramm.  Unter "Set Configuration" kann ein anderes
Auswerteprogramm konfiguriert werden.

   Wenn PEAK3 als Auswerteprogramm statt Grafik nur unverständlichen
Text auf den Bildschirm bringt, dann muss das richtige Grafikprotokoll
konfiguriert werden (<Ctrl Z> -> Set configuration -> Terminals and
printers -> Select terminal).

3.4.5 Detach ESA22p
-------------------

Hiermit kann das Messprogramm verlassen werden, ohne dass die Messung
unterbrochen wird. Die Kontrolle über das Messprogramm gewinnt man
zurück durch einen erneuten Start.

   *Achtung:* es existiert zur Zeit keine Sicherung gegen ein weiteres
Starten eines anderen Messprogrammes, das die laufende Messung stören
könnte!

3.5 ESA22p Konfigurations-Menü
==============================

Unter diesem Konfigurations-Menü erfolgen alle notwendigen Anpassungen
des Programmes. Beim allerersten Start des Messprogrammes wird dieser
Menüpunkt stets automatisch aufgerufen. Danach sollte er nur noch bei
Konfigurationsänderungen benutzt werden.

3.5.1 Return
------------

Rückkehr zum Top-Menü.

3.5.2 General parameters
------------------------

*Name of experiment*
Dieser Name wird im Header des Spektrums als Experimentname eingetragen.

*Print verbose messages*
Bei Angabe einer "1" werden ausführlichere Meldungen ausgegeben.

*Delay messages*
Gelegentlich wird eine vorausgehende von einer nachfolgenden Meldung so
rasch überschrieben, dass sie nicht gelesen weren kann. Hier kann für
Meldungen eine Mindestverweilzeit (in Sek.) auf dem Bildschirm
angegeben werden. Dies verzögert natürlich die Bedienung des Programmes
und sollte deshalb nur für Testzwecke eingeschaltet werden.

*Check task stack*
Unter VxWorks wird der Stack einer Task aus Zeitgründen nicht auf
Überlauf geprüft. Ein Überlauf führt in der Regel jedoch zur Zerstörung
der Task und auch des Systems. Eine "1" führt beim Stop der Task zu
einer Prüfung des Stack. Im Allgemeinen nur bei Problemen notwendig.

3.5.3 Background program
------------------------

Unter dem Menüpunkt "Analyse spectrum" wird ein Auswerteprogramm
gestartet, das an dieser Stelle spezifiziert werden muss. Im folgenden
Beispiel wird davon ausgegangen, dass das Messprogramm MCA das
Auswerteprogramm PEAK verwendet:

*File:   /usr/exp/ex_prog/peakv.o*
Dies ist der Pfad zum Auswerteprogramm PEAK. Unter
~/ex_home/ex_prog/peakv.o findet man es ebenso.

*Symbol: _peak*
Dies ist das Symbol unter dem PEAK unter VxWorks registriert ist. Es
ist in der Regel der Programmname mit einem Unterstrich davor.

*Task:   tMcaBg*
Dies ist ein frei wählbarer Task-Name für das Auswerteprogramm, der
sich jedoch von allen bereits vorhandenen Task-Namen unterscheiden muss.

*Argmts: ,,"peak_mca.vxw",,'S'*
Dies sind die Argumente, die dem Auswerteprogramm mitgegeben werden
können. Bei den Standardauswerteprogrammen (PEAK, WQA, IAC, IAP, LAC
usw.)  haben sie folgende Funktion:
   * Im ersten Argument kann ein Programmname angegeben werden, mit dem
     das Auswerteprogramm sich meldet.

   * Im zweiten Argument kann eine Titelzeile für das Auswerteprogramm
     angegeben werden, die direkt nach dem Start ausgegeben wird.

   * Im dritten Argument kann ein File-Name für den Parameter-File des
     Auswerteprogrammes angegeben werden, in dem dieses sich alle
     wesentlichen Daten aufhebt, um sie bei einem Restart wieder
     verwenden zu können.  Für verschiedene Auswerteprogramme müssen
     diese Namen unbedingt verschieden sein. Für das gleiche
     Auswerteprogramm bei verschiedenen Messprogrammen können sie
     gleich sein. Um Probleme zu vermeiden, sollte in dem Namen sowohl
     Mess- als auch Auswerteprogramm erkenntlich sein.

   * Im vierten Argument kann ein Pfadname zu einem alternativen
     Help-File angegeben werden.

   * Im fünften Argument kann der Modus, in dem das Auswerteprogramm
     gestartet wird, angegeben werden:
         S   Einzelspektrums-Darstellung.
         M   Matrix-Darstellung (Hidden Lines).
         C   Matrix-Darstellung (Contour Plot).
         I   Peak-Integration, Wirkungsquerschnitts-Berechn. usw.
         X   S oder M wird passend ausgewählt.

*Task priority: 100*
Priorität unter der die Auswertung läuft. 100 ist ein guter Wert!

*Task options: 0x00000008*
0x00000008 bedeutet, dass die Task den Floating-Point-Prozessor benutzt.

*Task stack:   5000*
Unter VxWorks wird das Stack einer Task aus Zeitgründen nicht dynamisch
verwaltet, sondern beim Start fest zugeteilt. Es muss ausreichend groß
gewählt werden, da es während der Laufzeit nicht überwacht wird und ein
Überlauf zur Zerstörung von Task und System führt.  Für die
Standardauswerteprogramme ist 5000 ausreichend, ansonsten sollte man
eher einen Werte von 20000 nehmen.

*Unload:       1*
Eine "1" bedeutet, dass das Auswerteprogramm nach der Rückkehr ins
Messprogramm wieder aus dem Speicher gelöscht wird. Dies sollte die
Regel sein.

*Stack check:  0*
Unter VxWorks wird das Stack einer Task aus Zeitgründen nicht auf
Überlauf geprüft. Ein Überlauf führt in der Regel jedoch zur Zerstörung
der Task und auch des Systems. Eine "1" führt beim Stop der Task zu
einer Prüfung des Stack. Im Allgemeinen nur bei Problemen notwendig.

3.5.4 VME address mapping
-------------------------

Der SIS3820 Scaler und der I4000 CAN Carrier sind VME-Module, für die
ihre Bus-Adressen bekannt sein müssen. Es werden Vorbelegungswerte
angeboten.

3.5.5 CAN/IsegHV parameters
---------------------------

Für das über den CAN-Bus gesteuerte IsegHV-Netzgerät werden die
folgenden Parameter benötigt. Die in Klammer angegebenen Werte haben
sich bewährt:
   * *CAN module on i4000*
     Das i4000 VME-Modul ist ein Träger für vier CAN-Controller. Hier
     ist anzugeben an welchen Controller das IsegHV angeschlossen ist.

   * *IsegHV CAN ID*
     Das Iseg-Modul hat auf dem CAN-Bus eine ID, mit der es
     angesprochen wird (auf der Rückseite des Moduls verdrahtet;
     unverdrahtet: 0x7f).

   * *Voltage ramp speed*
     Das IsegHV muss auf eine Geschwindigkeit der Spannungsänderung
     eingestellt werden. Die Einstellung erfolgt in Prozent der
     Nominalspannung und ist begrenzt auf 20%.

   * *ADC sample rate*
     Dies ist die Abtastrate bei der IsegHV Spannungsmessung. Sie sollte
     möglichst groß gewählt werden (max 50Hz) um Spannungssprünge
     schnell einregeln zu können.

   * *ADC sample time*
     Die IsegHV ADCs benötigen eine Mindestzeit um einen neuen
     Spannungswert zu konvertieren. Mit dem IsegHV-Programm kann dieser
     Wert ermittelt werden.

   * *Wait after step*
     Nach einem IsegHV-Kommendo zur Spannungsänderung liefert der ADC
     für eine gewisse Zeit unbrauchbare Messwerte, die ausgeblendet
     werden müssen.

3.5.6 Use of SIS counters
-------------------------

Mit Ausnahme des Zählers 0, der als Zeitgeber für die Ablaufsteuerung
eingesetzt wird, können die restlichen 31 SIS Zähler beliebig den
anstehenden Aufgaben zugeordnet werden:
   * 1 Zeitgeber

   * 24 Detektoren

   * 3 frei verwendbare Zähler

   * 4 Störungsüberwachungen

4 Archivierung der Daten
************************

Die VME-Systeme besitzen in der Regel keine eigenen Medien zum Speichern
der Messdaten sondern sie benutzen die Dienste von Servern im Netzwerk.

   Unter VxWorks, dem Betriebssystem der VME-Rechner, wird im Boot-File
des VME-Rechners der Server und der User-Account festgelegt, von dem das
System gebootet wird.  Nach dem Booten eines VME-Rechners ist, wie bei
einem normalen Login, die Home-Directory des Users als Work-Directory
eingestellt. Mit `cd "path"' ("'s nicht vergessen!) bewegt man sich in
fast gewohnter Weise durch die Directory-Hierarchie. Die Schreibweise
für Pfadangaben richtet sich nach dem Host-Rechner.

   Diese Netzwerkzugriffe erfolgen über RSH oder FTP (im Boot-File
festgelegt). Für RSH muss der File $HOME/.rhosts die entsprechende
Freigabe enthalten.

   Für den Transfer großer Datenmengen, insbesondere bei "List-Mode"
Messungen, sind RSH und FTP jedoch nicht geeignet. In solchen Fällen
sollte der Datentransfer über NFS erfolgen. Dazu muss auf dem
Host-Rechner der /etc/exports File die notwendigen Freigaben enthalten
und in den Boot-Script-File $HOME/ex_home/ex_param/startup.vxw müssen
die benötigten NFS-Verbindungen eingetragen werden.

   Um das Ganze übersichtlich zu halten, werden die VME-Systeme in der
Regel zur Zeit folgendermaßen betrieben:
   * Die Host-Rechner sind Unix-Rechner (Servix, Atomix).

   * Zu jedem Experiment "xxxx" gibt es auf dem Host-Rechner einen
     gleichnamigen Account. Meistens trägt der VME-Rechner ebenfalls
     diesen Namen.
     Auf einem solchen Experiment-Account sind folgende Directories
     vorhanden
     ($HOME = Home Directory des Accounts):
          $HOME/ex_home/ex_data:   Messdaten
          $HOME/ex_home/ex_help:   Help-Files für die Mess- und Auswerteprogramme
          $HOME/ex_home/ex_param:  Parametersätze der Mess- und Auswerteprogramme
          $HOME/ex_home/ex_prog:   Mess- und Auswerteprogramme
          $HOME/ex_home/vxw:       VxWorks Betriebssysteme für die VME-Rechner

   * Das Booten und die nachfolgenden Nicht-NFS-Zugriffe erfolgen über
     RSH auf den Servix.  Bei der Angabe des Messdatenpfades werden
     folgende Schreibweisen als RSH-Verbindung verstanden:
          bootHost:spektr.spe      $HOME/spektr.spe
          bootHost:ddd/spektr.spe  $HOME/ddd/spektr.spe
          ~/spektr.spe             $HOME/spektr.spe
          ~/ddd/spektr.spe         $HOME/ddd/spektr.spe
          spektr.spe               ./spektr.spe
          ddd/spektr.spe           ./ddd/spektr.spe

   * Als NFS-Verbindungen stehen die Laufwerks-Bezeichnungen "home:"
     und "data:" zur Verfügung, die auf dem Servix zu folgenden
     Directories führen:
          home:spektr.spe          $HOME/spektr.spe
          data:spektr.spe          $HOME/ex_home/ex_data/spektr.spe
     Weitere NFS-Laufwerke können im Boot-Script-File freigegeben bzw.
     neu definiert werden.
     Die existierenden NFS-Laufwerke können Sie sich mit dem
     SHOW-Programm unter "Network(NFS) devices" anzeigen lassen.

   * Zur Umgehung eines aktuellen VxWorks-Systemfehlers wird nach der
     Laufwerksangabe './' eingefügt:
          home:ex_home/ex_data/test.spe   -> home:./ex_home/ex_data/test.spe

   * Das Messprogramm hebt seine aktuellen Parameter in dem File
          $HOME/ex_home/ex_param/<Programmname>par.vxw
     auf, um sie bei einem nachfolgenden Start als Default-Werte
     anbieten zu können.

5 Statusanzeigen auf dem Bildschirm
***********************************

In der obersten Zeile wird an erster Stelle der Name des Programmes
dargestellt. An zweiter Stelle folgt die Statusinformation
offline/online/test, die anzeigt ob die Messung gestartet ist oder
nicht. Dann folgt der Name des Spektrums und am Ende der Zeile eine
detaillierte Statusanzeige in hexadezimaler Form von folgender
Bedeutung:

        STATUS of spectrum (hexadecimal)
                0001        Spectrum created on disk
                0002        Spectrum saved on disk
                0004        Spectrum created in memory
                0008        Spectrum loaded in memory
                0010        Experiment online
                0020        Autonomous stop of experiment
                0040        Test run
                0100        Experiment failure
                0200        Wrong typ of spectrum
                0400        Error reading header of spectrum
                0800        Error reading spectrum file
                1000        Header loaded

Die zweite Zeile dient der Ausgabe von Fehlermeldungen (blinkend), sowie
Informationen über die augenblicklichen Aktivitäten des Programmes.

6 Anhang
********

6.1 Rechnungen und Simulationen
===============================

(Anm.: Details in der Quelle Anhang.txi als Kommentare)

6.1.1 Statistik
---------------

(Anm.: Details in der Quelle Anhang.txi als Kommentare) Es folgt ein
kurzer Überblick über die verwendeten Begriffe der Statistik:
     xi  normalverteilte Zufallsvariablen
     N   Umfang der statistischen Gesamtheit der xi
     n   Umfang einer Stichprobe der xi
     f   Anzahl der Freiheitsgrade
     M   Mittelwert der xi für die statistische Gesamtheit
     m   Erwartungswert (Mittelwert) der xi für eine Stichprobe
     V   Varianz der statistischen Gesamtheit xi
     v   Varianz einer Stichprobe der xi
     Fx  Standardabweichung einer Einzelmessung xi
     Fm  Standardabweichung des Mittelwertes m
     Fv  Standardabweichung der Varianz v

     M = SUMi(xi)/N    (i=1...N)
     m = SUMi(xi)/n    (i=1...n)
     V = SUMi(xi - M)^2/N     = SUMi(xi)^2/N - M^2   (i=1...N)
     v = SUMi(xi - m)^2/(n-1) = SUMi(xi)^2/(n-1) - m^2 * n/(n-1)   (i=1...n)
     B = SQRT(V)       feste Breite (Sigma) einer statistischen Gesamtheit
     b = SQRT(v)       Breite (Sigma) der Verteilung einer Stichprobe

     Fx = SQRT(V)   bzw. SQRT(v)    Definition der Standardabweichung
     Fm = SQRT(V/n) bzw. SQRT(v/n)
     Fb = SQRT(V/2n) bzw. SQRT(v/2(n-1))

Während der Mittelwert *M* ein fester Wert ist, streuen die *m* der
einzelnen Stichproben und es lässt sich eine Standardabweichung
angeben. Wenn die *xi* normalverteilt sind, ist auch *m* normalverteilt.

   Der Mittelwert *m* ist mit dem Fehler *Fm* behaftet, der sich mit
der Wurzel aus der Anzahl der Messwerte verringert.

   *V* und *v* sind die gemittelten, summierten, quadratischen
Abweichungen von den Mittelwerten. Wobei für *V* das feste *M*
verwendet wird. Für *v* muss aus der Stichprobe zunächst *m* errechnet
werden, weshalb ein Freiheitsgrad verloren geht, was durch *(n - 1)*
berücksichtigt wird.

   Die Varianz der normalverteilten *xi* hat eine Chi-Quadratverteilung.
Bei 'Bronstein' findet man für verschiedene Formeln (a,b,c) die
zugehörigen Verteilungsdichten, die sich bei großer Anzahl der
Freiheitsgrade der Normalverteilung annähern. Simulationen haben
allerdings gezeigt, dass nur die modifizierte Verteilung d) brauchbare
Ergebnisse liefert.  Die Erwartungswerte und Standardabweichungen der
Chi-Quadratdichteverteilungen wurden durch Beispielrechnungen mit Excel
gefunden:
     xi  N(0,Sigma) normalverteilte Zufallsvariablen
     f   Anzahl der Freiheitsgrade
     v   Varianz einer Stichprobe der xi
     CHISQR(t,f)   Chi-Quadratdichteverteilung

        Formel             Dichteverteilung        Erwartungswert Standardabweichung
     a) SUM(xi^2)          1/v*CHISQR(t/v)         v^2 *f         v*SQRT(2f)
     b) SUM(xi^2)/f        f/v*CHISQR(f*t/v)       v^2            v*SQRT(2/f)
     c) SQRT(SUM(xi^2)/f)  2t/v*CHISQR(t^2/v)      SQRT(v*f)      SQRT(v/2)
        Modifizierte Verteilung:
     d) SQRT(SUM(xi^2)/f)  f*2t/v*CHISQR(f*t^2/v)  SQRT(v)        SQRT(v/(2f))

Die hier eingeführten 'Breiten' B und b sind das Sigma der
Normalverteilung.  Sie werden zur Überwachung der Hochspannung
verwendet. Die Eigenschaften der Breiten sind durch die Formel d)
gegeben.
Anm.: Würde man den Breitenfehler *Fb* mittels Gaußscher
Fehlerfortpflanzung der *Fx* aus *SUMi(xi -SUMj(xj)/n)^2/(n-1)*
berechnen, so erhält man den größeren Fehler *SQRT(v/(n-1))*.

6.1.2 Simulationen
------------------

Zur Ausführung von Simulationen kann das Programm ESA22P in dem Modul
esa22p.conf mit den Parametern
     #define SIMISEG     /* Simulate Iseg-HV modul */
     #define SIMSIS      /* Simulate SIS3820 scaler modul */
   so konfiguriert werden, dass es außer dem VME-Rechner keine Hardware
benötigt und sich seine Spannungsmessdaten selbst erzeugt. Mit SIMISEG
werden im Modul esa22pISG.c die ADC-Daten durch einen Zufallsgeneratur
erzeugt, der zu jedem ausgegebenen Sollwert einen um einen Mittelwert
normalverteilt streuenden Istwert zurück gibt. Ferner ist ein Offset
sowie eine Zeitkonstante angebbar für Spannungssprünge:
     #define POLAR  -1.      /* Voltage polarity */
     #define SIGMA   1.      /* Peak width */
     #define SHIFT   1.      /* Peak shift */
     #define TC      0.99    /* Time constant */

6.1.3 Synthetische Normalverteilung
-----------------------------------

Für die Simulationen wurde eine synthetische Normalverteilung
(Polar-Methode) mit der Breite Sigma = 1 verwendet. Ihre Brauchbarkeit
bezüglich der außerhalb von 1, 2, 3, 4 * Sigma liegenden Ereignisse hat
die Prüfung bestanden. Mittels Fit wurde eine halbwegs passende Formel
für die außerhalb n*Sigma liegenden Ereignisse ermittelt für 1-4 Sigma:
     Fit = exp(-0.0368 -0.65516n -0.43642n^2)
     n*Sigma   Rechnung     Simulation         Fit
       0       1.0000e-0                    0.9639e-0
       1       3.1731e-1    3.1690e-1       3.2356e-1
       2       4.5500e-2    4.5400e-2       4.5375e-2
       3       2.6997e-3    2.7000e-3       2.6583e-3
       4       6.3340e-5    6.4000e-5       6.5063e-5

6.1.4 Verbreiterung der Verteilung durch die Regelung
-----------------------------------------------------

Durch die Regelung der Spannungen werden ihre Verteilungen verbreitert.
Am Ende eines jeden Messintervalls wird die Abweichung vom Sollwert
bestimmt, summiert (Integralregler) und ein Bruchteil von diesem Wert
als Korrektur für das nächste Spannungskommando verwendet.

     *Integralregler*
     Vcorr = Vcorr - (Vmean - Vexp) * K
     Vexp  = Vexp + Vstep
     Vset  = Vexp + Vcorr
     Vcorr   Korrekturwert
     Vset    Spannungskommando an das EHS
     Vmean   gemessener Mittelwert
     Vexp    für das Experiment benötigte Sollspannung
     Vstep   Schrittweite der Spannungsstufen
     K <= 1  Regelfaktor

Damit können Temperaturdriften und DAC-Fehler ausgeregelt werden, da
die ADCs deutlich präziser sind als die DACs.  Da die gemessenen
Istwerte jedoch fehlerbehaftete Schätzwerte sind, gehen die
statistischen Schwankungen über die Korrekturen in die Breite der
Verteilungen ein. Die Verbreiterung ist sowohl abhängig von der Anzahl
n der Messwerte als auch dem Korrekturfaktor K der Regelung.

     Im Folgenden verwendete Symbole:
     xi  unabhängige Zufallsvariablen
     n   Umfang einer Stichprobe der xi
     mi  Mittelwerte der xi für Stichproben
     fx  Standardabweichung der Einzelmessungen xi ohne Regelung
     Fx  Standardabweichung der Einzelmessungen xi mit Regelung
     fm  Standardabweichung der Mittelwerte mi ohne Regelung
     Fm  Standardabweichung der Mittelwerte mi mit Regelung

Bei den folgenden Rechnungen wird verwendet, dass sich für die Summe
von Normalverteilungen wieder eine Normalverteilung ergibt und die
Varianzen sich addieren (Bronstein), die Standardabweichungen sich also
quadratisch addieren.  Damit lässt sich z.B. die Standardabweichung des
Mittelwertes errechnen:
     mi = SUMi(xi)/n --> fm = SQRT(SUMi(fx^2))/n = fx/SQRT(n)

*Regelung mit K = 1*
Der Korrekturfaktor K bestimmt den Anteil des Soll-Istwertvergleichs,
mit dem die Spannung des nachfolgenden Intervalls korrigiert wird. Für
K=1 und einem Sollwert von null läuft die Regelung folgendermaßen ab:

     Messung   Istwert   Messwert    Korrektur    Fx(n=1,K=1)
        -        -           -           0         -
        0        a         a + x1    -(a + x1)    fx
        1       -x1      -x1 + x2    -(a + x2)    fx * SQRT(2)
        2       -x2      -x2 + x3    -(a + x3)    fx * SQRT(2)

   * Messung 0:
     	Der Messwert weicht durch den Offset a vom Sollwert 	und
     durch die statistische Streuung x1 vom Istwert ab.  	Der
     Messwert wird mit negativem Vorzeichen zum Korrekturwert
     addiert. Der Korrekturwert wird zum Istwert addiert (Rückkopplung),
     x1 verfälscht den Istwert.

   * Messung 1:
     	Der Messwert weicht durch die Streuung um x2 vom Istwert ab.
     	usw.

   * Die Standardabweichungen der xi sind gleich und addieren sich
     quadratisch: durch die Regelung wird die Verteilung der
     Messwerte um SQRT(2) verbreitert.

   * Bemerkenswerterweise ist der Istwert genauer als der Messwert.
     Ob das auch für die geregelte Spannung gilt, hängt allerdings
     davon ab wo das Rauschen seinen Ursprung hat (DAC, HV, ADC).

Diese zusätzliche Verbreiterung der Verteilung durch die Regelung lässt
sich vermindern, in dem man Mittelwerte über n Messwerte xi zur Regelung
verwendet:
     Messung   Istwert   Messwert    Fx(n,K=1)
        0        0        x1         fx
       1n       -m1      -m1 + x2    fx*SQRT(1/n +1)
       2n       -m2      -m2 + x3    fx*SQRT(1/n +1)
   Für die einzelnen Messwerte reduziert sich die Verbreiterung auf
fx*SQRT(1+1/n). Allerdings ist n durch die Messzeit der Intervalle und
die Sample-Zeit des ADCs vorgegeben und kann nicht beliebig erhöht
werden.

Werden statt der xi die Mittelwerte mi für die weiteren Kontrollen
verwendet, so reduziert sich für diese die Verbreiterung weiter auf
fx/SQRT(n)*SQRT(2):
     Messung   Istwert   Mittelwert  Fm(n,K=1)
        0        0        m1         fx/SQRT(n)
       1n       -m1      -m1 + m2    fx/SQRT(n)*SQRT(2)
       2n       -m2      -m2 + m3    fx/SQRT(n)*SQRT(2)

*Regelung mit 0 <= K < 2*
Wenn der Rückkopplungsfaktor K verschieden von 1 ist, erfolgt die
Regelung nicht mehr prompt sondern durch eine geometrische Reihe.  Die
folgende Rechnung zeigt die Verbreiterung Fx(n,K) für die
Einzelmessungen xi und analog dazu für die Fm(n,K) der Mittelwerte mi:
     Messung  Istwert            Messwert   Fm(n,K)
        0     0                  x1         fx
       1n    -K*m1              -K*m1 +x2   SQRT((K*fm)^2 +fx^2)
       2n    -K*(m1*(1-K) +m2)   .... +x3   SQRT((K*fm)^2*((1-K)^2 +1) +fx^2)
       3n    -K*(m1*(1-K)^2                 SQRT((K*fm)^2*((1-K)^4
                 +m2*(1-K) +m3   .... +x4          +(1-K)^2 +1) +fx^2)
       zn    geom. Reihe (fm=fx/SQRT(n)):   fx*SQRT(K/n*(1-(1-K)^2(z-1)) /(2-K) +1)
                        unendliche Reihe:   fx*SQRT(K/n/(2-K) +1)
                  analog für Mittelwerte:   fx*SQRT(K/n/(2-K) +1/n)

Das Verhalten bei Einzelmessungen (Ausgabe VsigmaT1 bei laufender
Messung) lässt sich leicht überprüfen und zeigt eine sehr gute
Übereinstimmung mit den Rechnungen:
     Breite(n,K) [Sigma] = Wurzel(K/n/(2-K) +1)
       K    Rechn. (n=6)  Messung    Rechn. (n=11) Messung    Rechn. (n=41) Messung
     0.00   1.0000  1.0000+-0.0000   1.0000  0.9993+-0.0008   1.0000  0.9998+-0.0007
     0.25   1.0118  1.0145+-0.0028   1.0065  1.0056+-0.0014   1.0017  1.0023+-0.0014
     0.50   1.0274  1.0287+-0.0008   1.0150  1.0148+-0.0002   1.0041  1.0042+-0.0002
     0.75   1.0488  1.0486+-0.0028   1.0269  1.0276+-0.0014   1.0073  1.0085+-0.0014
     1.00   1.0801  1.0803+-0.0004   1.0445  1.0443+-0.0002   1.0121  1.0119+-0.0014
     1.25   1.1304  1.1254+-0.0032   1.0731  1.0721+-0.0014   1.0201  1.0205+-0.0014
     1.50   1.2247  1.2253+-0.0021   1.1282  1.1281+-0.0007   1.0359  1.0373+-0.0014

Wenn bei kurzen Messzeiten n klein wird und dadurch die Breite B zu
groß, so kann dies durch ein kleineres K kompensiert werden:
     B = fx*SQRT(K/n/(2-K) +1)
     K = 2/(fx^2/((B^2-1)*n +1)
     fx = 1:
     n = 20, B = 1.025 -> K = 1.000
     n = 10, B = 1.025 -> K = 0.667
     n =  5, B = 1.025 -> K = 0.400
     n =  2, B = 1.025 -> K = 0.181
     n =  1, B = 1.025 -> K = 0.095
   Es besteht jedoch ein wesentlicher Unterschied im Regelverhalten:
K = 1: Korrektur in einem Schritt.
K < 1: Korrektur in vielen, exponentiell kleiner werdenden Schritten.

6.1.5 Spannungstoleranzen für die Messintervalle
------------------------------------------------

Bei der Vorgabe von Toleranzen muss man beachten, dass die von den ADCs
gelieferten Messwerte statistischen Schwankungen unterliegen und zu
enge Grenzen unnötig häufige Wiederholungen der Messintervalle zur
Folge haben. Im Folgenden soll versucht werden die Zusammenhänge von
Statistik und Wiederholungen zu ermitteln.

   Es bieten sich mehrere Möglichkeiten für Toleranzen der Spannungen
an, mit deren Hilfe entschieden werden kann, ob ein Messintervalle
wiederholt werden muss. Man hat die Wahl zwischen festen oder an die
Statistik angepassten Grenzen:
Feste Grenzen müssen so gewählt werden, dass es nicht zu hohe
Intervallwiederholungen zur Folge hat.
Angepasste Grenzen orientieren sich an der Statistik. Sie kontrollieren
damit die Häufigkeit der Intervallwiederholungen, die erreichbaren
Toleranzen sind jedoch von der Statistik abhängig.

   *Feste Grenzen für die Mittelwerte*
Für die Abweichung des Mittelwertes vom Sollwert, gemessen über das
Intervall, wird ein Grenzwert angegeben, bei dessen Überschreitung das
Intervall wiederholt wird. Ein Pendeln der Messwerte über den Sollwert
hinweg würde aber u. U. nicht erkannt werden, wenn der Mittelwert
innerhalb der Grenze bleibt.

   *Feste Grenzen für die Breiten*
Für die Breite der Spannungsverteilung, gemessen über das Intervall,
wird ein Grenzwert angegeben. Damit würde ein Pendeln der Messwerte,
das über die erwartete Statistik hinausgeht, erkannt werden, eine
konstante Abweichung vom Sollwert jedoch nicht. Die statistische Breite
muss bekannt sein.

   *Gemeinsame feste Grenzen für Mittelwerte und Breiten*
Die Ermittelung der Breite wird nicht wie üblich auf den Mittelwert
bezogen sondern auf den Sollwert. Eine solche Rechnung enthält
gleichzeitig sowohl die Mittelwertabweichung als auch die statistische
Breite weshalb die Toleranz allerdings auch größer gewählt werden muss.
     xi      n ADC-Daten
     s       Sollwert
     m       Mittelwert
     Vm      Varianz zum Mittelwert
     Vs      Varianz zum Sollwert
     Vs(n) = Vm(n)*(n-1)/n + (s-m)^2

   *An die Statistik angepasste Grenzen*
Die Grenzen für die Abweichungen werden in Einheiten der
Standardabweichung (Sigma) der Spannungsverteilungen angegeben.  Sie
kontrollieren damit die Häufigkeit der Intervallwiederholungen, so dass
möglicherweise eine automatische Anpassung gefunden werden kann. Der
folgende Abschnitt untersucht diese Zusammenhänge.

6.1.6 Wiederholungen von Messintervallen
----------------------------------------

Wiederholungen werden nicht nur durch Fehlfunktionen der HV-Geräte
(z.B. DAC-Fehler) nötig sondern werden auch durch die Statistik
ausgelöst.  Deren Anteil sollte bei der Wahl der Toleranzen
abzuschätzen sein.

   Die durch die ADCs gelieferten Spannungsmesswerte können als
normalverteilt angesehen werden. Durch die Regelung werden diese
Verteilungen verbreitert, was abhängig von dem Regelfaktor zu einer
Erhöhung der Wiederholungsrate führen muss.  Im Folgenden wird dieses
Verhalten durch Rechnungen und Simulationen untersucht.

6.1.6.1 Wiederholungen bei mehreren Spannungen
..............................................

Werden gleichzeitig mehrere Spannungen überwacht so erhöht sich die
Wahrscheinlichkeit für Wiederholungen.  Mit der Wahrscheinlichkeit p
für eine Wiederholung bei einer einzigen Spannung ergibt sich für keine
Wiederholung bei n Spannungen die Wahrscheinlichkeit (1 - p)^n, und
damit für die Wahrscheinlichkeit Wn für eine Wiederholung:
     Wn = 1 - (1 - p)^n
     W1 = p
     W2 = 2p - p^2
     W3 = 3p - 3p^2 + p^3
     W4 = 4p - 6p^2 + 4p^3 - p^4
     Wn ~ np für np << 1

6.1.6.2 Wiederholungen durch die Statistik des Mittelwertes
...........................................................

Wenn die einzelnen Ereignisse normalverteilt sind, so ist auch der
Mittelwert normalverteilt.  Für normalverteilte Ereignisse kann die
Wahrscheinlichkeit P, dass ein Ereignis außerhalb einer vorgegebenen
Grenze liegt, durch Integration der Gaußkurve berechnet werden:
     Toleranz     P        P/2
     0.0 Sigma   1.0000   0.5000
     0.1 Sigma   0.9203   0.4602
     0.2 Sigma   0.8415   0.4207
     0.4 Sigma   0.6892   0.3446
     0.6 Sigma   0.5485   0.2743
     0.8 Sigma   0.4237   0.2119
     1.0 Sigma   0.3173   0.1587
     2.0 Sigma   0.0455   0.0228
     3.0 Sigma   0.00270  0.00135
     4.0 Sigma   0.00006  0.00003
     t Sigma   exp(-0.0368 -0.65516n -0.43642n^2)   Näherungsformel s.o.
   Bei gleicher Wahrscheinlichkeit für Wiederholungen können bei
Verwendung eines Mittelwertes die Toleranzen entsprechend enger gesetzt
werden:
     P = exp(-0.0368 -0.6551(t*SQRT(n)) -0.43642(t*SQRT(n))^2)
     t = SQRT(n) *(-0.6551 +SQRT(0.6551^2 -4*0.43642*(ln(P)+0.0368))) /(2*0.43642)

   *Simulationen ohne Regelung*
Die vorangegangenen Überlegungen und ihre Implementierung im Programm
ESA22P wurden mit Simulationen überprüft mit Daten einer synthetischen
Normalverteilung (Polarmethode, s.o.)  der festen Breite Sigma = 1 und
Peak-Shift = 0. Die Toleranzen wurden gemäß dem Verhalten bei
Mittelwerten mit 1/SQRT(n) skaliert.  Die Simulationen bestätigen die
Rechnungen:
     Wiederholungen ohne Regelung für Normalverteilung (Sigma = 1, Shift = 0)
     n: Anzahl Messwerte pro Mittelwert
     T: Toleranz in Einheiten von Sigma/SQRT(n), Sigma = 1
     R: Rechnung
     S(n): Simulation mit n Messwerten
     Kontrolle: abs(Ist - Soll) > T * Sigma / SQRT(n)

        W1: Wiederholungen bei einer Spannung für Mittelwertkontrolle
     T     R       S(101)        S(21)         S(11)          S(3)           S(1)
     1  0.3173  0.316+-0.002  0.315+-0.002  0.317+-0.003  0.319+-0.007   0.316+-0.003
     2  0.0455                0.045+-0.004                0.045+-0.003
     3  0.0027                0.00246+-0.00012            0.0023+-0.0006

        W2: Wiederholungen bei zwei Spannungen für Mittelwertkontrolle
     T     R       S(101)        S(21)         S(11)          S(3)
     1  0.5339                0.532+-0.022                0.548+-0.021
     2  0.0889                0.085+-0.006                0.089+-0.009
     3  0.0054                0.0049+-0.0012              0.0077+-0.0009

        W3: Wiederholungen bei drei Spannungen für Mittelwertkontrolle
     T     R       S(101)        S(21)         S(11)          S(3)
     1  0.6818                0.688+-0.024                0.658+-0.026
     2  0.1304                0.114+-0.010                0.131+-0.009
     3  0.0081                0.0090+-0.0007              0.0095+-0.0014

*Simulation mit Regelung*
Die Regelung verbreitert in Abhängigkeit vom Korrekturfaktor die
Verteilung. Der Korrekturfaktor K bestimmt den Anteil des
Soll-Istwertvergleichs, mit dem die Spannung des nachfolgenden
Intervalls korrigiert wird. Für K=1 wurden die Toleranzen gemäß der
erwarteten Verbreiterung der Verteilung mit SQRT(2)/SQRT(n) skaliert
und die Ergebnisse mit den Werten für die Normalverteilung verglichen:
     Mit Programm ESA22P simulierte Werte für Mittelwertkontrolle
     Regelung mit K=1
     Wiederholungen mit Regelung für Normalverteilung (Sigma = 1, Shift = +2)
     Regelungsbegrenzung: 10 Sigma
     n: Anzahl Messwerte pro Mittelwert
     T: Toleranz in Einheiten von Sigma/SQRT(n)*SQRT(2), Sigma = 1
     R: Rechnung
     S(n): Simulation mit n Messwerten
     Kontrolle: abs(Ist - Soll) > T *Sigma /SQRT(n) *SQRT(2)
     T     R        S(1001)            S(101)             S(11)             S(1)
     1  0.3173   0.317+-0.005      0.3192+-0.0021    0.3195+-0.0027    0.3172+-0.0025
     2  0.0455   0.0455+-0.0004    0.0457+-0.0004    0.0455+-0.0002    0.0456+-0.0002
     3  0.00270  0.00272+-0.00005  0.00269+-0.00004  0.00270+-0.00004  0.00274+-0.00004
   Auch mit Regelung sind die Simulationen in Übereinstimmung mit den
Rechnungen.
Systematische Abweichungen erhält man hingegen bei geringer Anzahl
Messwerte wenn die Regelungsbegrenzung bei wenigen Sigma liegt: die
Breiten werden geringer als errechnet. Der Grund dafür ist die
Beschneidung der Statistik (Fano-Faktor-Effekt!). Wenn dann noch eine
Verschiebung des Mittelwertes hinzu kommt, werden die Abweichungen
erheblich:
     Mit Programm ESA22P simulierte Werte für Mittelwertkontrolle
     Regelung mit K=1
     Wiederholungen mit Regelung für Normalverteilung (Sigma = 1, Shift = +1)
     Regelungsbegrenzung: 2 Sigma
     n: Anzahl Messwerte pro Mittelwert
     T: Toleranz in Einheiten von Sigma/SQRT(n)*SQRT(2), Sigma = 1
     R: Rechnung
     S(n): Simulation mit n Messwerten
     Kontrolle: abs(Ist - Soll) > T *Sigma /SQRT(n) *SQRT(2)

     Wiederholungen:
     T     R         S(11)           S(3)              S(2)            S(1)
     1  0.3173  0.3159+-0.0013   0.311+-0.001     0.3047+-0.0004   0.287+-0.001
     2  0.0455  0.0451+-0.0005   0.0402+-0.0005   0.0381+-0.0007   0.0322+-0.0005
     3  0.00270 0.00270+-0.00004 0.00192+-0.00002 0.00167+-0.00003 0.00139+-0.00003

     (S - R)/R in [%]:
     T     S(11) [%]      S(3) [%]      S(2) [%]      S(1) [%]
     1    0.36+-0.40    1.89+-0.32    3.88+-0.13    9.34+-0.25
     2    0.88+-1.54   11.65+-1.10   16.26+-1.54   28.79+-1.10
     3    0.00+-1.48   28.89+-0.74   38.15+-1.11   48.52+-1.11

     Breitenabweichungen in [%]:
     T     S(11) [%]      S(3) [%]      S(2) [%]      S(1) [%]
     1    0.23+-0.26      1.2+-0.2      2.6+-0.8      6.1+-0.2
     2    0.18+-0.32      2.5+-0.3      3.6+-0.4      6.9+-0.3
     3    0.00+-0.15      3.4+-0.1      4.8+-0.2      6.6+-0.2

6.1.6.3 Wiederholungen durch die Statistik der Breite
.....................................................

Durch die Überwachung der Breite der Spannungsverteilung können
Störungen entdeckt werden, die sich nicht auf den Mittelwert auswirken,
wie periodisches Schwingen, Rauschen usw. Als Maß für die Breite der
Verteilung des Mittelwertes wurde die Standardabweichung der Messwerte
gewählt (Breitenformel "d", s.o.). Die Breite selbst hat eine
Chi-Quadratverteilung, die sich bei einer großen Anzahl von
Freiheitsgraden der Normalverteilung N(Sigma,Sigma/SQRT(2f)) nähert:
     xi                    :  Messwerte
     nj                    :  Anzahl der Messwerte im Intervall j
     f                     :  Anzahl der Freiheitsgrade
     Sigma                 :  Standardabweichung der xi
     Breite                :  SQRT(SUM(xi^2)/f)
     Verteilungsdichte V(t):  f*2t/Sigma^2*CHISQR(f*t^2/Sigma^2)
     Erwartungswert von V  :  Sigma
     Varianz von V         :  Sigma^2/(2f)
   Zur Überwachung der Spannungen soll näherungsweise die
Normalverteilung N(Sigma,Sigma/SQRT(2f)) verwendet werden. Im Folgenden
wird deshalb untersucht inwiefern dies zulässig ist. Zur Kontrolle der
Breite stehen die folgenden Statistikwerte zur Verfügung:
     SigmaSm = SQRT(SUMi(xi - mj)^2 /(nj-1))
   Dies ist die auf den Mittelwert mj der xi eines Messintervalls
(Stichprobe) bezogene Breite. Da innerhalb eines Messintervalls keine
Regelvorgänge stattfinden, enthält sie nur die Statistik der xi
(Rauschen).
     SigmaTm = SQRT(SUMj(SigmaSm_j *nj) /SUMj(nj))
Zur Berechnung der Breite über alle verausgegangenene Messintervalle
werden die einzelnen Breiten SigmaSm_j mit nj gewichtet gemittelt.  Sie
enthält ebenfalls nur die Statistik der xi und nähert sich im Laufe der
Messung der unbekannten Breite der statistischen Grundgesamtheit der xi
und dient als Ersatz für diese.  Bei laufender Messung werden diese
Werte in der Spalte 'VsigmaT0' ausgegeben.
     SigmaSr = SQRT(SUM(xi - sj)^2 /nj)
Dies ist die auf den Sollwert sj eines Messintervalls bezogene Breite.
Sie enthält sowohl die Statistik der xi als auch die Abweichung des
Mittelwertes vom Sollwert als Quadratsumme (s.o.).
     SigmaTr = SQRT(SUMj(SUMi(xi - sj)^2) /SUMj(nj))
             = SQRT(SUMj(SigmaSr_j *nj) /SUMj(nj))
Dies ist die auf die jeweiligen Sollwerte aller vorausgegangener
Messintervalle bezogene Breite, die gleich dem mit nj gewichteten Mittel
der SigmaSr_j ist. Sie enthält ebenfalls sowohl die Statistik der xi
als auch die Abweichung des Mittelwertes vom Sollwert als Quadratsumme
und nähert sich im Laufe der Messung der unbekannten Breite der
statistischen Grundgesamtheit und dient als Ersatz für diese.  Bei
laufender Messung werden diese Werte in der Spalte 'VsigmaT1'
ausgegeben.

   Zur Kontrolle wird der Statistikwert eines Messintervalles (SigmaSm
bzw. SigmaSr) verglichen mit den Langzeitwerten (SigmaTm bzw. SigmaTr),
in dem ausgehend vom Mittelwert der Chi-Quadratverteilung (Startwert)
das T-fache von SigmaTx/SQRT(2f) (Standardabweichung der
Chi-Quadratverteilung) als Toleranzgrenze gesetzt wird:
     SigmaSm > SigmaTm + T * SigmaTm /SQRT(2*(n-1))  (nur Rauschen)
     SigmaSr > SigmaTr + T * SigmaTr /SQRT(2*n)  (Rauschen + Mittelwertfehler)

*Rechnungen*
Die folgende Tabelle enthält die gerechneten Wahrscheinlichkeiten für
Wiederholungen bei Ereignissen außerhalb einer vorgegebenen Toleranz.
Zum Vergleich sind die entsprechenden Werte für eine Normalverteilung
vorangestellt.
     Mit Excel gerechnete Werte
     Anzahl Messwerte: n
     Anzahl Freiheitsgrade: f = n
     xi-Erwartungswert: 0
     xi-Standardabweichung: Sigma
     xi-ErwWert-Standardabw: Sigma/SQRT(n)
     Chi^2-Erwartungswert: Sigma
     Chi^2-Standardabweichung: Sigma / SQRT(2n)
     N{0,S}(t)  : |t| > Sigma/SQRT(n)
     Chi^2{n}(t):  t  > Sigma + T * Sigma/SQRT(2n)
     T         Toleranz für die Breite in Chi^2-Standardabweichungen
     N{0,S}    (0,Sigma/SQRT(n))-Normalverteilung
     Chi^2{f}  Chi-Quadratverteilung mit f Freiheitsgraden
      T    N(0,S)   Chi^2(10k) Chi^2(100) Chi^2(10) Chi^2(3)  Chi^2(2)  Chi^2(1)
     0.0   0.5000    0.4981     0.4812     0.4405    0.3916    0.3679    0.3173
     0.5   0.3085    0.3070     0.2932     0.2616    0.2261    0.2096    0.1759
     1.0   0.1587    0.1578     0.1503     0.1331    0.1141    0.1054    0.08780
     1.5   0.06681   0.06654    0.06406    0.05784   0.05035   0.04677   0.03934
     2.0   0.02275   0.02275    0.02259    0.02149   0.01944   0.01832   0.01577
     2.5   0.006210  0.006255   0.006572   0.006830  0.006578  0.006330  0.005644
     3.0   0.001350  0.001376   0.001576   0.001862  0.001951  0.001930  0.001800
     3.5   0.0002326 0.000241   0.000312   0.000436  0.000508  0.000520  0.000511

Die Abweichungen von der Normalverteilung ist u.a. eine Folge der
Schiefe der Chi^2-Verteilung bei wenigen Freiheitgraden. Insbesondere
sind Median (50% Mitte) und Erwartungswert verschieden. Bei der
folgenden Rechnung wird versucht die Werte der Normalverteilung durch
modifizierte Formeln für Mitte und Toleranz anzunähern. Dies gelingt
recht gut, jedoch sind die verwendeten Formeln ziemlich umständlich.
     Mit Excel gerechnete Werte
     Anzahl Messwerte: n
     Anzahl Freiheitsgrade: f = n
     xi-Erwartungswert: 0
     xi-Standardabweichung: Sigma
     xi-ErwWert-Standardabw: Sigma/SQRT(n)
     Chi^2-Erwartungswert: Sigma
     Chi^2-Standardabweichung: Sigma / SQRT(2n)
     Median   : Sigma *(1-1/(3f));
     Toleranz : [T +0.6566 *f^-0.43891 *0,06387 *T^2 /(0.06387*9)] * Sigma/SQRT(2f)
     N{0,S}(t)  : |t| > Sigma/SQRT(n)
     Chi^2{n}(t):  t > Median + Toleranz
     T         Toleranzzahl
     N{0,S}    (0,Sigma/SQRT(n))-Normalverteilung
     Chi^2{f}  Chi-Quadratverteilung mit f Freiheitsgraden
      T    N(0,S)   Chi^2(10k) Chi^2(100) Chi^2(10) Chi^2(3)  Chi^2(2)  Chi^2(1)
     0.0   0.5000    0.5000     0.5000     0.4998    0.4992    0.4994    0.5050
     0.5   0.3085    0.3085     0.3086     0.3082    0.3062    0.3048    0.3015
     1.0   0.1587    0.1586     0.1590     0.1593    0.1583    0.1572    0.1541
     1.5   0.06681   0.06678    0.06720    0.06791   0.06759   0.06705   0.06527
     2.0   0.02275   0.02273    0.02303    0.02353   0.02340   0.02311   0.02218
     2.5   0.006210  0.006198   0.006343   0.006553  0.006438  0.006287  0.005836
     3.0   0.001350  0.001345   0.001495   0.001450  0.001380  0.001316  0.001145
     3.5   0.000233  0.000231   0.000244   0.000252  0.000226  0.000207  0.000161
   In der Literatur findet man als Näherung für den Median (1-2/9f)^3
was aber deutlich schlechter angepasst ist als das hier verwendete
(1-1/3f).

Es zeigt sich, dass bei Toleranzen von drei Sigma auch bei mehreren
überwachten Spannungen die Wahrscheinlichkeit für Wiederholungen durch
die Statistik gering ist.
*Simulationen*
Zunächst soll untersucht werden ob durch eine Simulation mit
normalverteilten Messdaten die Rechnung bestätigt werden kann.  Bei
abgeschalteter Regelung wird die auf den *Mittelwert* der xi bezogene
Breite SigmaSm überwacht. Damit wird nur das 'Rauschen' kontrolliert.
Für den Startpunkt in der Chi-Quadratverteilung und die Toleranzen wird
die feste Breite 1.0 der Simulation verwendet.
Simulation und Rechnung stimmen sehr gut überein.
     Mit Programm ESA22P simulierte Werte für SQRT(SUM((xi-m)^2)/(n-1))
     Sigma = 1
     Kontrolle: SigmaSm > 1. + T * 1./SQRT(2*(n-1))
     Ohne Regelung K=0
     T         Toleranz als Abstand vom Mittelwert in Chi^2-Standardabweichungen
     Chi^2(f)  Chi-Quadratverteilung mit n Messwerten und f=n-1 Freiheitsgraden
      T    Chi^2(100)        Chi^2(10)         Chi^2(2)
     0.0   0.480+-0.007      0.432+-0.008      0.357+-0.006
     0.5   0.***+-0.***      0.265+-0.006      0.207+-0.013
     1.0   0.150+-0.002      0.***+-0.***      0.096+-0.004
     1.5   0.***+-0.***      0.***+-0.***      0.***+-0.***
     2.0   0.***+-0.***      0.***+-0.***      0.0192+-0.0008
     3.0   0.00149+-0.00017  0.***+-0.***      0.00201+-0.00007

Die nächste Simulation ist die gleiche wie zuvor, jedoch mit
eingeschalteter Regelung. Eine Auswirkung der Regelung auf das Ergebnis
ist nicht zu erwarten, da während eines Messintervalls keine
Regelschritte erfolgen und daher wie zuvor nur das Rauschen beobachtet
wird.
Das Ergebnis bestätigt diese Erwartung.
     Mit Programm ESA22P simulierte Werte für SQRT(SUM((xi-m)^2)/(n-1))
     Sigma = 1
     Kontrolle: SigmaSm > 1. + T * 1./SQRT(2*(n-1))
     Regelung mit K=1
     T         Toleranz als Abstand vom Startpunkt in Chi^2-Standardabweichungen
     Chi^2(f)  Chi-Quadratverteilung mit n Messwerten und f=n-1 Freiheitsgraden
      T     Chi^2(1000)      Chi^2(100)       Chi^2(10)        Chi^2(2)
     0.0    0.493+-0.010     0.479+-0.013     0.430+-0.006     0.384+-0.012
     0.5    0.***+-0.***     0.297+-0.003     0.255+-0.010     0.208+-0.007
     1.0    0.***+-0.***     0.157+-0.007     0.135+-0.005     0.105+-0.004
     1.5    0.***+-0.***     0.***+-0.***     0.***+-0.***     0.050+-0.002
     2.0    0.***+-0.***     0.0230+-0.0005   0.0211+-0.0006   0.0181+-0.0002
     3.0    0.***+-0.***     0.00156+-0.00006 0.00189+-0.00014 0.00194+-0.00006

In der folgenden Simulation wird, wie zuvor, die auf den *Mittelwert*
der xi bezogene Breite SigmaSm überwacht und damit nur das Rauschen
kontrolliert.  Für den Startpunkt und die Toleranzen wird jedoch die
ebenfalls auf den *Mittelwert* der xi bezogene Breite SigmaTm
verwendet.
Das Ergebnis ist innerhalb der Fehlergrenzen das gleiche wie zuvor.
     Mit Programm ESA22P simulierte Werte für SQRT(SUM((xi-m)^2)/(n-1))
     Sigma = 1
     Kontrolle: SigmaSm > SigmaTm + T * SigmaTm/SQRT(2*(n-1))
     Regelung mit K=1
     T         Toleranz als Abstand vom Startpunkt in Chi^2-Standardabweichungen
     Chi^2(f)  Chi-Quadratverteilung mit n Messwerten und f=n-1 Freiheitsgraden
      T    Chi^2(1000)      Chi^2(100)       Chi^2(10)        Chi^2(2)
     0.0   0.503+-0.021     0.475+-0.014     0.436+-0.012     0.369+-0.011
     1.0   0.***+-0.***     0.147+-0.006     0.132+-0.003     0.108+-0.002
     2.0   0.***+-0.***     0.0223+-0.0008   0.0210+-0.0004   0.0180+-0.0003
     3.0   0.***+-0.***     0.00147+-0.00006 0.00185+-0.00004 0.00190+-0.00004

6.1.6.4 Wiederholungen durch die Statistik von Mittelwert und Breite
....................................................................

   *Getrennte Überwachung von Mittelwert und Breite*
In der folgenden Simulation werden nacheinander sowohl Breite als auch
Mittelwert kontrolliert mit den zuvor erprobten Formeln.  Wie zu
erwarten summieren sich bei kleinen Wiederholungsraten die
Wiederholungen und für große Raten geht die Wahrscheinlichkeit gegen 1.

     Mit Excel gerechnete Werte
     Anzahl Messwerte: n
     Anzahl Freiheitsgrade: f = n
     xi-Erwartungswert: 0
     xi-Standardabweichung: Sigma
     xi-ErwWert-Standardabw: Sigma/SQRT(n)
     Chi^2-Erwartungswert: Sigma
     Chi^2-Standardabweichung: Sigma / SQRT(2n)
     N{0,S}(t)  : p1 -> |t| > T * Sigma/SQRT(n)
     Chi^2{n}(t): p2 ->  t  > Sigma + T * Sigma/SQRT(2n)
     T         Toleranzzahl
     N{0,S}    (0,Sigma/SQRT(n))-Normalverteilung
     Chi^2{f}  Chi-Quadratverteilung mit f Freiheitsgraden
     Wahrscheinlichkeit für Wiederholungen:
     R    = p1 + p1 - p1*p1    nur Normalverteilung
     W(n) = p1 + p2 - p1*p2    Wiederholungen mit n Messwerten
      T      R         W(1001)     W(101)      W(11)       W(3)
     0.0   1.000       1.000       1.000       1.000       1.000
     1.0   0.4256      0.4238      0.4199      0.4089      0.3952
     2.0   0.06722     0.06720     0.06706     0.06610     0.06406
     3.0   0.004046    0.004125    0.004271    0.004544    0.004645
     4.0   0.0000950   0.0001011   0.0001142   0.0001492   0.0001793

Bei der folgenden Simulation müssen für die einzelnen Messintervalle
Mittelwerte (SigmaSm) gebildet werden, weshalb die Anzahl der
Freiheitsgrade nur n-1 beträgt. Simulation und Rechnung stimmen gut
überein.
     Mit Programm ESA22P simulierte Werte für SQRT(SUM((xi-m)^2)/(n-1))
     Sigma = 1
     Mittelwert: abs(Ist - Soll) > T *SigmaTm /SQRT(n) *SQRT(2)
     Breite:     SigmaSm > SigmaTm + T *SigmaTm /SQRT(2*(n-1))
     Regelung mit K=1
     T     Toleranzzahl
     W(n)  Wiederholungen mit n Messwerten
      T      W(1001)            W(101)            W(11)              W(3)
     0.0   0.***+-0.***      0.***+-0.***       0.***+-0.***       0.***+-0.***
     1.0   0.422+-0.006      0.421+-0.007       0.409+-0.012       0.383+-0.006
     2.0   0.0671+-0.0018    0.0678+-0.0024     0.0675+-0.0017     0.0645+-0.0021
     3.0   0.00391+-0.00030  0.00412+-0.00022   0.00410+-0.00019   0.00442+-0.00016
     4.0   0.00***+-0.000**  0.000114+-0.000011 0.000160+-0.000006 0.000186+-0.000005

Einige Simulationen mit Sigma = 0.003, dem Wert, der für das EHS-8220n-F
zutrifft, haben gezeigt, dass die Rechnungen auch für diesen Wert gültig
sind.
*Gemeinsame Überwachung von Mittelwert und Breite*
Dies war der Versuch, mit der auf den *Sollwert* der xi bezogenen
Breite SigmaSr sowohl den Mittelwert als auch die Breite gleichzeitig
zu überwachen. Für den Startpunkt und die Toleranzen wird die ebenfalls
auf den *Sollwert* der xi bezogene Breite SigmaTr verwendet. Durch den
Bezug der SigmaXr auf den Sollwert erhöht sich die Zahl der
Freiheitsgrade um eins und es liegt eine *nichtzentrale
Chi^2-Verteilung* vor (Wikipedia)!  Leider findet man bei Excel hierzu
keine passende Funktion, weshalb auf eine Rechnung verzichtet wurde. Es
ergeben sich zum Teil deutliche Abweichungen von der *zentralen
Chi^2-Verteilung*.
     Mit Programm ESA22P simulierte Werte für SQRT(SUM((xi-s)^2)/n)
     Sigma = 1
     Kontrolle: SigmaSr > SigmaTr + T * SigmaTr/SQRT(2n)
     Regelung mit K=1
     T         Toleranz als Abstand vom Startpunkt in Chi^2-Standardabweichungen
     Chi^2(f)  Chi-Quadratverteilung mit n Messwerten und f=n Freiheitsgraden
      T     Chi^2(1001)      Chi^2(101)       Chi^2(11)        Chi^2(3)
     0.0    0.***+-0.008     0.486+-0.016     0.439+-0.010     0.373+-0.008
     1.0    0.***+-0.009     0.147+-0.010     0.135+-0.004     0.121+-0.003
     2.0    0.0***+-0.0008   0.0230+-0.0006   0.0253+-0.0010   0.0250+-0.0009
     3.0    0.00135+-0.00008 0.00171+-0.00003 0.00302+-0.00002 0.00373+-0.00002

Als Ergänzung noch eine Simulation mit modifizierten Werten für Start
und Toleranz um möglichst nahe an die Werte für die Normalverteilung zu
kommen.
     Mit Programm ESA22P simulierte Werte für SQRT(SUM((xi-s)^2)/n)
     Sigma = 1
     Start:    SigmaTr *(1-1/(3f));
     Toleranz: [T +0.6566 *f^-0.43891 *0,06387 *T^2 /(0.06387*9)] * SigmaTr/SQRT(2n)
     Kontrolle: SigmaSr > Start + Toleranz
     Regelung mit K=1
     T           Toleranzzahl
     Chisqr(f)   Chi-Quadratverteilung mit n Messwerten und f=n Freiheitsgraden
      T     Chisqr(1001)     Chisqr(101)      Chisqr(11)       Chisqr(3)
     0.0    0.499+-0.006     0.***+-0.038     0.498+-0.005     0.480+-0.008
     1.0    0.***+-0.009     0.***+-0.010     0.***+-0.004     0.***+-0.003
     2.0    0.0***+-0.0008   0.0***+-0.0006   0.0***+-0.0010   0.0***+-0.0009
     3.0    0.00144+-0.00043 0.00145+-0.00003 0.00256+-0.00003 0.00287+-0.00003

6.1.7 Programmierung
--------------------

Da die Mittelwerte währen eines Messintervalls nicht zur Verfügung
stehen, werden die Varianzen zunächst relativ zum Sollwert berechnet
und erst am Ende eines Messintervalls in die Varianzen bezüglich
Mittelwert umgerechnet:
     xi                       n ADC-Daten
     s                        Sollwert
     m  = SUMi(xi)/n          Mittelwert
     Vm = SUMi(xi - m)^2/(n-1)    Varianz zum Mittelwert
     Vs = SUMi(xi - s)^2/(n)      Varianz zum Sollwert
     Vm = (SUMi(xi^2) - nm^2)/(n-1)
     Vs = (SUMi(xi^2) - 2nms + ns^2)/(n)
     Vs *n - Vm *(n-1) = (s - m)^2 *n
     Vm = [Vs - (s-m)^2] *n/(n-1)

Intern wird mit Summen gerechnet:
     s-m = SUMi(s-xi)/n
     SUMi(xi-m)^2 = SUMi(xi-s)^2 - (SUMi(xi-s))^2 /n
     Vm = SUMi(xi-m)^2/(n-1)

Zur Berechnung der Varianz Vm+ über alle Messintervalle werden die
einzelnen Varianzen Vm_j mit n_j gewichtet gemittelt.  Die daraus
errechnete Varianz ist frei von Einflüssen durch die Regelung und
enthält nur noch das 'Rauschen' bzw. 'Brummen' der Hochspannung:
     Vm+ = SUMj(Vm_j * n_j) /SUMj(n_j)

Die Simulation (allerdings nur mit allen n_j gleich) bestätigt die
Formel für diesen speziellen Fall:
      Soll       Vm+(101)        Vm+(11)         Vm+(3)
     1.0000  0.9999+-0.0001  0.9999+-0.0002  1.0003+-0.0003

6.1.8 Zusammenfassung der Theorie
---------------------------------

In dieser Zusammenfassung geht es darum mit Hilfe der vorangegangenen
Untersuchungen sowohl ein sicheres und schnelles Hochfahren der
Spannungen als auch eine brauchbare Regelung und eine zuverlässige
Kontrolle von Messintervallen mit Wiederholungen in berechenbarem Maß
zu finden.

6.1.8.1 Hochfahren der Spannungen des EHS-8230n-F
.................................................

Das EHS-8230n-F fährt nach dem Start mit vorgebbarer Geschwindigkeit
(Ramp-Speed) in die Nähe der Zielspannungen um sich diesen anschließend
langsam weiter zu nähern ohne sie vollständig zu erreichen (Offset).

   Aus den aktuellen Spannungen und den Zielspannungen wird die größte
Spannungsdifferenz ermittelt und mit der eingestellten Ramp-Speed die
maximale Zeit (+10%?) zum Erreichen der Zielspannungen errechnet.  Das
Hochfahren der Rampen geschieht dann ohne Regelung. Anschließend werden
die Soll-Istwert-Differenzen als Offsets angenommen und der
nachfolgenden Regelung als Startwerte mitgegeben. Ferner werden aus den
Offsets Begrenzungen für die Regler errechnet (z.B. 3-facher Offset,
min 1V) um im Falle von Störungen ein Übersteuern der Regelung und
damit auch des EHS zu vermeiden.

   Danach werden die Spannungen bei aktiver Regelung in Abständen von
einer Sekunde überprüft. Dabei wird die Soll-Istwert-Differenz
(systematische Abweichung) verglichen mit der Standardabweichung
(statistische Abweichung) des Mittelwertes der in einer Sekunde
aufgenommenen Messwerte. Sobald die Soll-Istwert-Differenz drei mal
hintereinander innerhalb von drei Standardabweichungen des Rauschens
(s.o.) liegt, wird die Spannung als ausreichend stabil angesehen.

   Wenn die nachfolgenden Messintervalle größer als eine Sekunde sind,
so hat der Startwert für das erste davon eine unzureichende Statistik
und muss möglicherweise wiederholt werden. Dies könnte man verhindern
durch Zwischenschalten eines gleichlangen Vorläuferintervalls, was aber
lediglich einen Unterschied in der Wiederholungsstatistik ergibt.

6.1.8.2 Regelung der Spannungen des EHS-8230n-F
...............................................

Da nach Herstellerangaben die ADCs deutlich präziser arbeiten als die
DACs, werden die ADCs zur Regelung der Spannungen verwendet.  Im
Vertrauen auf die Präzision der ADCs basiert die Regelung auf dem
gemessenen Mittelwert. Während eines Messintervalls werden von den ADC
Daten Mittelwert und dessen Varianz berechnet.  Nach jedem
Messintervall wird der Mittelwert mit dem Sollwert verglichen und ein
Korrekturwert für den nächsten Schritt in der Art eines Integralreglers
errechnet.  Da für kurze Messintervalle der Mittelwert recht unsicher
werden kann, kann für diese die Korrektur reduziert (K < 1) werden um
den Einfluss der Statistik zu mindern. Dies hat natürlich eine
langsamere Reaktion zur Folge, weshalb einer Regelung mit K = 1 der
Vorzug gegeben wird.

Mit Hilfe des Korrekturwertes und der Schrittweite wird das
Spannungskommando für den nächsten Schritt errechnet. Da dies lediglich
eine Hochrechnung ist und systematische, nicht vorhersehbare Fehler
auftreten können, erfolgt am Ende des Messintervalles eine Überprüfung
und ggf. eine Wiederholung des Messintervalles mit neuer Korrektur
(s.u.).
     Vcorr = Vcorr - (Vmean - Vexp) * K
     Vexp  = Vexp + Vstep
     Vset  = Vexp + Vcorr
     Vcorr   Korrekturwert
     Vset    Spannungskommando an das EHS
     Vmean   gemessener Mittelwert
     Vexp    für das Experiment benötigte Sollspannung
     Vstep   Schrittweite der Spannungsstufen
     K <= 1  Regelfaktor
   Für eine stabile Regelung muss die Korrektur auf einen Wert
außerhalb des benötigten dynamischen Bereichs begrenzt werden (s.o.).

Folgende Fehler müssen von der Regelung beherrscht werden:
   * *Differenzielle Nicht-Linearität der DACs*
     	Solche Fehler führen zu nicht vorhersehbaren Sprüngen beim
     Durchfahren einer Spannungsrampe. Gegebenenfalls muss das
     Messintervall 	wiederholt werden. Für K = 1 werden diese
     Fehler in einem 	Schritt korrigiert. Für kleine K-Werte können
     auch mehrere 	Korrekturschritte notwendig werden.

   * *Integrale Nicht-Linearität der DACs*
     	Dieser Fehler der DACs wird von der Regelung gut beherrscht.

   * *Temperatur-Drift der DACs*
     	Nach der Aufwärmphase ist nur eine geringe temperaturabhängige
     Drift zu 	erwarten, die für die Regelung kein Problem darstellt.

   * *Störungen*
     	Kurzfristige Störungen können nicht ausgeregelt werden und sind
     ein Fall für Wiederholungen von Messintervallen.

6.1.8.3 Kontrolle der Spannungen und Wiederholungen
...................................................

Da die Regelung Störungen nicht vorhersehen kann werden nach jedem
Messintervall die Spannungen überprüft und bei Überschreiten von
Toleranzen das Messintervall wiederholt. Das Ziel ist, möglichst alle
systematischen Fehler durch Wiederholungen zu korrigieren, aber
Wiederholungen durch statistische Schwankungen gering zu halten. Dazu
stehen für jede der acht Spannungen des EHS-8230n-F individuell drei
Verfahren zur Verfügung:
*Spannungsangabe als Toleranz*
Bei diesem Verfahren wird sichergestellt, dass Mittelwert bzw. Breite
der gemessenen Spannung eines Messintervalls innerhalb der vorgegeben
Grenze liegen sonst wird das Intervall wiederholt.  Da die Breite der
statistischen Schwankungen des Mittelwertes jedoch von der Anzahl der
Messwerte in einem Intervall abhängt, ist die Häufigkeit der
Wiederholungen abhängig von der zeitlichen Länge der Intervalle. Hinzu
kommt noch eine Abhängigkeit der Wiederholungen von der Anzahl der
überwachten Spannungen.  Die Toleranz muss deshalb ggf. immer wieder
angepasst oder gleich ausreichend groß gewählt werden.
Für die Breite ergibt sich das Problem, dass zuerst der anfangs
unbekannte Mittelwert der Breite von der einzelnen Breite eines
Intervalls abgezogen werden muss um dann die Toleranz anzuwenden.  Am
Anfang der Messung ist der Schätzwert für diesen Mittelwert schlecht
und die Kontrolle arbeitet noch nicht perfekt.

   *Standardabweichung als Toleranz*
Bei diesem Verfahren werden die Grenzen in Einheiten der
Standardabweichung der einzelnen Messwerte angegeben. Damit passt sich
die Überwachung an die Statistik der Messwerte an und ist
näherungsweise unabhängig von der Anzahl der Messwerte. Die Anzahl der
überwachten Spannungen geht aber auch bei diesem Verfahren in die
Häufigkeit von Wiederholungen ein, kann aber leicht berechnet werden.
Dieses Verfahren hat jedoch das Problem, dass nach dem Start der Messung
zunächst kein guter Schätzwert für die Standardabweichung zur Verfügung
steht. Man braucht also einen Vorlauf oder akzeptiert, dass die
Kontrolle am Anfang noch nicht perfekt arbeitet. Auf einen Vorlauf
wurde verzichtet.

   *Wiederholungshäufigkeit als Toleranz*
Mit Hilfe der zuvor ermittelten Formeln ist es auch möglich, die
Wiederholungshäufigkeit als Vorgabe zu verwenden.  Zur Umrechnung der
Häufigkeit W in die zugehörige Toleranz T in Einheiten der
Chi^2-Standardabweichung werden die Werte der Normalverteilung als
Näherung verwendet. Trotzdem ergibt sich eine recht umständliche Formel.
     T = (-0.6743 +SQRT(0.6743*0.6743 -4*0.4301*(log(2.*W/100.)-.02831))) /(2*0.4301)
   Das Ergebnis der Simulationen für die kombinierte Mittelwert- und
Breitenkontrolle ist trotz der groben Näherungen ausreichend:
     Mit Programm ESA22P simulierte Werte für SQRT(SUM((xi-s)^2)/n)
     Kontrolliert: Wiederholungswahrscheinlichkeit
     Regelung mit K=1
     W(n)  Wiederholungswahrscheinlichkeit bei n Messwerten in [%]
     Soll    W(1001)       W(101)        W(11)        W(3)
      1.0     1.1+-0.1     1.0+-0.1     1.3+-0.1     1.3+-0.1
      2.0     1.7+-0.2     2.0+-0.1     2.2+-0.1     2.1+-0.1
      3.0     2.7+-0.1     2.9+-0.2     3.1+-0.1     2.9+-0.1
     10.0     9.3+-0.2     8.7+-0.5     8.4+-0.2     7.6+-0.2

6.1.9 Anwendung auf die Praxis
------------------------------

6.1.9.1 Tests mit dem EHS-8230n-F, SN ??????
............................................

Zunächst war die Wartezeit nach einem Spannungskommando mit 0.2s zu kurz
eingestellt, so dass gelegentlich der erste gemessene Werte falsch war.
Im Zustand der periodischen Ausgabe aller Werte allerdings nicht. Da
kommt wohl eine ausreichende zusätzliche Verzögerung hinzu. Die
folgenden Messungen wurden mit 0.3s Wartezeit durchgeführt.

   Wie bereits dokumentiert (see Test der Iseg HV-Netzgeräte.),
stehen einige Kanäle bei bestimmten niedrigen Spannungen
nicht stabil, so dass endlos Wiederholungen erfolgen.  Am 15.03.2017
waren folgende Kanäle betroffen:
     Kanal  Stolperstelle (15.03.17)
       0        ---
       1        92V
       2        ---
       3       110V    (ca. 99.5V am 08.12.15!)
       4        94V
      5-7       ---
   Bei den folgenden Tests waren die Kanäle 1,3,4 abgeschaltet.
     Kontrollmode 1: 10mV/10mV Toleranz (16.03.17)
     Wartezeit: 0.3s; Messzeit: 0.2s; Messbereich: 30V - 229V
     8191 Steps up/down; Schrittweite: 0.2V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     236  2.80+-0.18     4.6 mV     5.4 mV
     2       0  0.00+-0.00     2.7 mV     3.5 mV
     5       0  0.00+-0.00     2.6 mV     3.5 mV
     6       1  0.01+-0.01     2.4 mV     3.3 mV
     7       0  0.00+-0.00     2.1 mV     2.9 mV

     Kontrollmode 1: 10mV/10mV Toleranz (17.03.17)
     Wartezeit: 0.3s; Messzeit: 1.0s; Messbereich: 30V - 2929V
     46887 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]     VsigmaT0   VsigmaT1
     0       0  0.00+-0.00
     2       0  0.00+-0.00
     5       3  0.00+-0.00
     6       1  0.00+-0.00
     7     376  0.80+-0.04   (983V-1136V; 1431V-1641V)

     Kontrollmode 2: 3 Standardabweichungen Toleranz (15.03.17)
     Wartezeit: 0.3s; Messzeit: 1s; Messbereich: 30V - 229V
     1969 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederholungen [%]
     0       28    1.4+-0.3
     2       57    2.8+-0.4
     5       63    3.1+-0.4
     6       65    3.2+-0.4
     7       71    3.5+-0.4

     Kontrollmode 2: 4 Standardabweichungen Toleranz (16.03.17)
     Wartezeit: 0.3s; Messzeit: 1s; Messbereich: 30V - 229V
     39535 Steps up/down; Schrittweite: 0.2V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     163  0.41+-0.03     4.7 mV     5.1 mV
     2     388  0.97+-0.05     2.8 mV     3.3 mV
     5     435  1.09+-0.05     2.7 mV     3.2 mV
     6     512  1.28+-0.06     2.5 mV     3.1 mV
     7     586  1.46+-0.06     2.2 mV     2.8 mV

     Kontrollmode 3: 1% Toleranz (15.03.17)
     Wartezeit: 0.3s; Messzeit: 1s; Messbereich: 30V - 229V
     6560 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederholungen [%]
     0        208   3.1+-0.2
     2        411   5.9+-0.3
     5        447   6.4+-0.3
     6        524   7.4+-0.3
     7        526   7.4+-0.3

6.1.9.2 Tests mit dem EHS-8220n-F, SN ??????
............................................

   * Beim 2kV-Gerät zeigen sich keine unüberwindlichen Stolperstellen.
     Die Tests konnten mit allen Kanälen durchgeführt werden.

   * Als Wartezeit war zunächst 0.22s eingestellt, was nach einiger
     Zeit aber wohl etwas zu kurz war? Deshalb auf 0.25s erhöht.

   * Kanal 0 rauscht ebenfalls um etwa 1.5 stärker als die anderen
     Kanäle.

   * Bei engen Toleranzen treten bei allen Kanälen zwischen 160V-230V
     unterschiedlich stark 6 Wiederholungsstellen auf. Besonders
     auffällig bei Kanal 6. Ebenso bei allen Kanälen eine markante
     Stelle bei 1720V bzw. 1724V.

   * *Empfehlung:
     Bei Verzicht auf die Kanäle 0 und 1 kann man mit 10mV Toleranzen
     im Mode 1 ab 0.2s Intervallzeit aufwärts nichts falsch machen.*

     *Kontrollmode 1:*  (20.03.17)
     Mittelwert-Toleranz: 10mV
     Breiten-Toleranz: 10mV
     Wartezeit: 0.25s; Messzeit: 1.0s; Messbereich: 30V - 1929V
     154468 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0       7  0.00+-0.00     3.0 mV     3.4 mV
     1     152  0.10+-0.01     2.6 mV     3.2 mV
     2       2  0.00+-0.00     1.7 mV     2.1 mV
     3       0  0.00+-0.00     1.9 mV     2.5 mV
     4       0  0.00+-0.00     2.0 mV     2.4 mV
     5       2  0.00+-0.00     2.0 mV     2.4 mV
     6       0  0.00+-0.00     2.0 mV     2.3 mV
     7       0  0.00+-0.00     2.1 mV     2.5 mV

     *Kontrollmode 1:* (21.03.17)
     Mittelwert-Toleranz: 10mV
     Breiten-Toleranz: 10mV
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     19000 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     136  0.71+-0.06     3.0 mV     3.8 mV
     1      37  0.19+-0.03     2.1 mV     2.9 mV
     2       0  0.00+-0.00     1.9 mV     2.4 mV
     3       0  0.00+-0.00     2.0 mV     2.7 mV
     4       1  0.01+-0.01     2.2 mV     2.8 mV
     5       0  0.00+-0.00     2.3 mV     2.7 mV
     6       1  0.01+-0.01     2.2 mV     2.6 mV
     7       0  0.00+-0.00     2.1 mV     2.9 mV

Im Mode 2 zeigt sich, dass die systematischen Störungen bei kurzen
Messzeiten in den statistischen Schwankungen untergehen.
     *Kontrollmode 2:* (21.03.17)
     Mittelwert-Toleranz: 4 Standardabweichungen
     Breiten-Toleranz: 4 Standardabweichungen
     Wartezeit: 0.25s; Messzeit: 1.0s; Messbereich: 30V - 1929V
     50790 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     790  1.53+-0.05     3.0 mV     3.4 mV
     1    2498  4.69+-0.09     2.2 mV     2.9 mV
     2     496  0.97+-0.04     1.7 mV     2.1 mV
     3    1130  2.18+-0.06     2.0 mV     2.6 mV
     4     534  1.04+-0.05     2.1 mV     2.5 mV
     5     770  1.49+-0.05     1.8 mV     2.3 mV
     6     897  1.74+-0.06     2.0 mV     2.4 mV
     7     624  1.21+-0.05     2.1 mV     2.5 mV

     *Kontrollmode 2:* (21.03.17)
     Mittelwert-Toleranz: 4 Standardabweichungen
     Breiten-Toleranz: 4 Standardabweichungen
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     16190 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0      20  0.12+-0.03     5.4 mV     6.4 mV
     1     224  1.36+-0.09     2.1 mV     3.0 mV
     2      15  0.09+-0.02     1.8 mV     2.3 mV
     3      34  0.21+-0.04     1.9 mV     2.6 mV
     4      42  0.26+-0.04     2.1 mV     2.7 mV
     5      13  0.08+-0.02     2.1 mV     2.5 mV
     6      46  0.28+-0.04     2.1 mV     2.6 mV
     7      20  0.12+-0.03     2.0 mV     2.8 mV

     *Kontrollmode 2:* (22.03.17)
     Mittelwert-Toleranz: 5 Standardabweichungen
     Breiten-Toleranz: 5 Standardabweichungen
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     80973 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0      89  0.11+-0.01     3.0 mV     3.8 mV
     1     610  0.75+-0.03     2.0 mV     3.0 mV
     2       8  0.01+-0.003    1.8 mV     2.3 mV
     3      37  0.05+-0.01     1.9 mV     2.7 mV
     4      44  0.05+-0.01     2.1 mV     2.7 mV
     5      13  0.02+-0.004    1.9 mV     2.5 mV
     6      59  0.07+-0.01     2.0 mV     2.5 mV
     7      17  0.02+-0.005    2.0 mV     2.8 mV

In den Modes 2b und 2c werden nur der Mittelwert bzw. die Breite
überwacht um deren Auswirkung auf die Anzahl der Wiederholungen zu
ermitteln.

     *Kontrollmode 2b:* (22.03.17)
     Mittelwert-Toleranz: 3 Standardabweichungen
     Breiten-Toleranz: ----
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     7600 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     215  2.75+-0.19     2.9 mV     3.8 mV
     1     134  1.73+-0.15     1.9 mV     2.9 mV
     2      31  0.41+-0.07     1.7 mV     2.3 mV
     3      44  0.58+-0.09     1.9 mV     2.8 mV
     4      65  0.85+-0.11     2.0 mV     2.7 mV
     5      17  0.22+-0.05     1.8 mV     2.4 mV
     6      91  1.18+-0.12     2.0 mV     2.6 mV
     7      28  0.20+-0.05     2.0 mV     2.8 mV

     *Kontrollmode 2c:* (10.04.17)
     Mittelwert-Toleranz: ----
     Breiten-Toleranz: 3 Standardabweichungen
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     255412 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0   13171  4.90+-0.04     5.0 mV     5.9 mV
     1   19948  7.24+-0.05     2.0 mV     2.9 mV
     2    6412  2.45+-0.03     1.7 mV     2.3 mV
     3   15232  5.63+-0.05     1.8 mV     2.7 mV
     4    8281  3.14+-0.03     4.5 mV     5.4 mV
     5    7095  2.70+-0.03     1.8 mV     2.4 mV
     6    9028  3.41+-0.04     2.0 mV     2.6 mV
     7    8446  3.20+-0.04     2.0 mV     2.7 mV

     *Kontrollmode 2b:* (22.03.17)
     Mittelwert-Toleranz: 4 Standardabweichungen
     Breiten-Toleranz: ----
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     3800 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0      79  2.04+-0.23     3.1 mV     3.8 mV
     1      46  1.20+-0.18     2.2 mV     3.0 mV
     2      12  0.31+-0.09     2.0 mV     2.4 mV
     3      11  0.29+-0.09     2.0 mV     2.6 mV
     4      25  0.65+-0.13     2.2 mV     2.8 mV
     5      14  0.37+-0.10     2.3 mV     2.7 mV
     6      23  0.60+-0.16     2.1 mV     2.6 mV
     7      13  0.34+-0.09     2.2 mV     2.8 mV

     *Kontrollmode 2b:* (22.03.17)
     Mittelwert-Toleranz: 4 Standardabweichungen
     Breiten-Toleranz: ----
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     7600 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0      67  0.87+-0.11     3.0 mV     3.7 mV
     1      45  0.69+-0.09     2.0 mV     3.1 mV
     2       1  0.01+-0.01     1.8 mV     2.3 mV
     3       2  0.03+-0.02     1.9 mV     2.4 mV
     4      11  0.14+-0.04     2.1 mV     2.7 mV
     5       2  0.03+-0.02     1.9 mV     2.5 mV
     6      18  0.24+-0.06     2.0 mV     2.6 mV
     7       0  0.00+-0.00     2.0 mV     2.7 mV

     *Kontrollmode 2c:* (07.04.17)
     Mittelwert-Toleranz: ----
     Breiten-Toleranz: 4 Standardabweichungen
     Wartezeit: 0.25s; Messzeit: 0.2s; Messbereich: 30V - 1929V
     15566 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     148  0.94+-0.11     3.1 mV     3.8 mV
     1     312  1.97+-0.09     2.2 mV     3.1 mV
     2       9  0.06+-0.01     1.9 mV     2.4 mV
     3      52  0.33+-0.02     2.1 mV     2.8 mV
     4      30  0.19+-0.04     2.3 mV     2.8 mV
     5       9  0.06+-0.02     2.3 mV     2.7 mV
     6      36  0.23+-0.06     2.2 mV     2.7 mV
     7      26  0.17+-0.00     2.1 mV     2.8 mV

     *Kontrollmode 2b:* (22.03.17)
     Mittelwert-Toleranz: 4 Standardabweichungen
     Breiten-Toleranz: ----
     Wartezeit: 0.25s; Messzeit: 1.0s; Messbereich: 30V - 1929V
     7600 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0      53  0.69+-0.10     3.1 mV     3.4 mV
     1     287  3.64+-0.21     2.2 mV     2.7 mV   (30V-1929V)
     2      14  0.18+-0.05     1.7 mV     2.1 mV
     3      28  0.37+-0.07     1.9 mV     2.3 mV
     4      26  0.34+-0.07     2.1 mV     2.5 mV
     5      12  0.16+-0.05     1.9 mV     2.4 mV
     6     120  1.55+-0.14     2.0 mV     2.4 mV   (140V-200V)
     7       0  0.00+-0.00     2.1 mV     2.5 mV

     *Kontrollmode 2c:* (07.04.17)
     Mittelwert-Toleranz: ----
     Breiten-Toleranz: 4 Standardabweichungen
     Wartezeit: 0.25s; Messzeit: 1.0s; Messbereich: 30V - 1929V
     8228 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     143  1.71+-0.14     3.0 mV     3.4 mV
     1     717  8.02+-0.30     2.1 mV     2.7 mV
     2     321  3.75+-0.21     1.7 mV     2.1 mV
     3     719  8.04+-0.30     2.0 mV     2.5 mV
     4     268  3.15+-0.19     2.1 mV     2.5 mV
     5     473  5.44+-0.25     1.9 mV     2.3 mV
     6     439  5.07+-0.24     2.1 mV     2.4 mV
     7     326  3.81+-0.21     2.0 mV     2.4 mV

     *Kontrollmode 3b???:* (23.03.17)
     Mittelwert-Toleranz: 1% Wiederholungen
     Breiten-Toleranz: ----
     Wartezeit: 0.25s; Messzeit: 1.0s; Messbereich: 30V - 1929V
     38000 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0     285  0.74+-0.04     3.1 mV     3.4 mV
     1    1306  3.32+-0.09     2.2 mV     2.8 mV
     2      29  0.07+-0.01     1.7 mV     2.1 mV
     3     126  0.33+-0.03     2.0 mV     2.6 mV
     4     212  0.55+-0.04     2.1 mV     2.5 mV
     5      43  0.11+-0.02     1.9 mV     2.3 mV
     6     451  1.17+-0.06     2.2 mV     2.5 mV
     7      10  0.03+-0.01     2.1 mV     2.5 mV

     *Kontrollmode 3c???:* (24.03.17)
     Mittelwert-Toleranz: ----
     Breiten-Toleranz: 1% Wiederholungen -> 2.3 Standardabw.
     Wartezeit: 0.25s; Messzeit: 1.0s; Messbereich: 30V - 1929V
     26600 Steps up/down; Schrittweite: 1.0V; ohne Last
     Kanal  Wiederh. [%]      VsigmaT0   VsigmaT1
     0    1950  6.38+-0.04     3.1 mV     3.4 mV
     1    2825  9.60+-0.09     2.4 mV     3.0 mV
     2     737  2.70+-0.01     1.8 mV     2.1 mV
     3    1256  4.51+-0.03     2.0 mV     2.5 mV
     4    1440  5.14+-0.04     2.1 mV     2.5 mV
     5     920  3.34+-0.02     2.0 mV     2.4 mV
     6    2915  9.88+-0.06     2.2 mV     2.5 mV
     7     512  1.89+-0.01     2.1 mV     2.5 mV

6.2 Test der Iseg HV-Netzgeräte
===============================

Dieses Kapitel finden Sie jetzt in der Anleitung zu dem Programm IsegHV
(ESA22 IsegHV Module Control).